Plotter Documentation

Introduction

Describes the functionality of the Plotter.

Using the Plotter

Contains basic procedures for working with the Plotter.

Reference

Contains reference topics about the Plotter windows and dialog boxes, and information about the Plotter object model.

Frequently Asked Questions (FAQ)

Contains additional hints about the Plotter.

Last update: 2022-03-09

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. All rights reserved.


Introduction

Introduction

The Plotter is a PCAN-Explorer Add-in that allows the real-time graphical representation of the temporal course of any number of signals.

The Plotter offers the following features:

  • Unlimited number of channels and y-axes

  • Freely zooming and scrolling of X- and Y-axes, also during the recording

  • Possibility for the automatic adaptation of the axes to the curves

  • Reversible y-axes

  • Linear and logarithmic scales

  • Intelligent auto-scale of axes in human readable format (1-2-5 Rule)

  • Data point markers

  • Displaying of Data cursor for measuring signal data

  • Export to EMF/BMP/JPG graphics

  • Copying and printing

  • Saving data (plots)

  • Importing data from PCAN-Explorer's Tracer

  • Customizing of used fonts and colors

  • Display in real-time

See also

Using the Plotter


Using the Plotter

Using the Plotter

This section contains basic procedures for working with the Plotter.

What would you like to do?

  • Create a Plotter window

  • Record signal data

  • Stop a recording

  • Scroll and zoom scales

  • Print a plotter window

  • Customize the plotter

  • Manage channels

  • Import data from a Tracer

  • Export data

  • Measure signal data

  • Display limits

  • Insert annotations

See also

Frequently Asked Questions (FAQ)


Showing the Plotter window

To record signal data with a plotter, first open a Plotter window.

To show a new Plotter window:

  • In the Tools menu go to Plotter and select the Plotter command.

- or -

In the Plotter toolbar click on the icon [image].

See also

Recording a Signal Course


Recording Signal Data

To start with the recording of a signal, first assign a signal to an existing channel, or create a new channel.

To record data of a signal:

  1. Make sure that signals are available by opening and activating a Symbols file in PCAN-Explorer.

  2. In the context menu of the Y-axis (right mouse button), choose the Select Signal command.

-or-

Drag a signal from the Project Manager on a Y-axis (then continue with step 4).

  3. In the Select Signal dialog box, select the signal that shall be recorded, and click on OK.

  4. On the Tools menu, open the Plotter submenu and choose the Start Logging command.

- or -

In the Plotter toolbar, click on the [image] button.

After the recording has been started, a channel line displays the signal data. The channel line is extended to the right as time goes by. Data points are continuously added to the data view.

See also

Stopping a Recording

Creating and Activating Symbols Files


Stopping a Recording

When enough data has been recorded, the recording of a signal course started before can be stopped.

To stop a recording:

  • In the Tools menu, go to Plotter and select the Stop Logging command.

- or -

In the Plotter toolbar click on the [image] button.


Scrolling and Zooming scales

The X-axis and Y-axis scales in the Plotter window can be scrolled and zoomed with the mouse or keyboard.

Note

When executing the described actions, the axis tracking is automatically turned off.

To scroll scales:

  1. In the Plotter toolbar, select the Scroll tool [image].

  2. Click on a scale, press and hold the left mouse button. Then move the mouse to scroll the scale.

- or -

Click on a scale and use one of the Arrow keys on the keyboard.

- or -

Click into the data view and with held mouse button scroll the X-scale and the Y-scales simultaneously.

To zoom scales:

  1. In the Plotter toolbar, select the Zoom tool [image].

  2. Click on a scale, press and hold the left mouse button. Then either zoom out (move the mouse up or right) or zoom in (move the mouse down or left).

- or -

Click on a scale and press one of the Arrow keys on the keyboard.

- or -

Click into the data view, press and hold the left mouse button. Then move the mouse to zoom the X-scale and the Y-scales simultaneously.

To zoom the view with one mouse click:

  • In the Plotter toolbar either click on the tool for zooming out [image] or zooming in [image]. The data view is zoomed out or in by the factor 2.

To enlarge a specific area of the data view:

  1. In the Plotter toolbar, select the Zoom Box tool [image].

  2. By dragging the mouse, select an area in the data view that shall be enlarged. After releasing the mouse button, the data view is zoomed so that the selected area completely fills the data view.

Tip

To zoom or scroll all Y-axes simultaneously, set one Y-axis as the master user interface. If this axis is then scrolled or zoomed, all other Y-axis are also zoomed or scrolled. See Master UI Input option on the Y-Axes, General tab of the Properties dialog box.

See also

General, Y-Axes, Properties Dialog


Printing the Plotter

A plotter window can be sent to a printer. You can configure printing options before printing the Plotter window.

To print a Plotter window:

  1. Select the desired time frame in the data view (e.g. by dragging with the mouse).

  2. In the context menu of the Plotter window (right-click with the mouse), select the Properties command.

  3. In the Properties dialog box, select the Plotter tab, then the Print sub-tab.

  4. Customize the printing options.

  5. Exit the Properties dialog box by pressing Close.

  6. Select the PCAN-Explorer Print command from the File menu to start the printing process.

See also

Scrolling and Zooming Scales

Print, Plotter, Properties Dialog


Customizing the Plotter

The Plotter can be customized in many different ways. To customize the Plotter, modify settings on its Properties dialog box.

To display the Properties dialog box of the plotter, first activate the plotter window, then select the Properties command from the View menu. You can also display the Properties dialog box by selecting the Properties command on the context menus, which can be shown for every Plotter element.

An overview with references to each setting is given in the tables below (see Appearance and Functionality sections).

When a plotter and recorded data is saved to file, all settings are also saved in the file. Additionally, the settings of an active plotter window can be saved as the default settings for new Plotter windows..

To save Plotter settings as the Default settings for new Plotter windows:

  1. Open the Properties dialog box of a Plotter (context menu, Properties command).

  2. Activate the Save as Defaults option. The settings are saved when exiting the Properties dialog box.

To reset the Plotter settings to the delivery state:

  1. Open the Properties dialog box of the Plotter (context menu, Properties command).

  2. Press the Reset button.

Appearance

The following table lists all the pages of the Properties dialog box that contain settings concerning the visual appearance of the Plotter and its elements (e.g. settings like colors, fonts, margins etc.):

Element | Page, Setting
Plotter window generally | Plotter > General Plotter > Background Layout
Grid lines | Data View > General Data View > Grid Lines X-Axis > General: Grid Lines Visible Y-Axes > General: Grid Lines Visible
Scales | X-Axis > Labels > (Default) X-Axis > Scale Y-Axes > Labels > (Default) Y-Axes > Scale
Legend | Legend X-Axis > Labels > Legend Y-Axes > Labels > Legend
Labels in the Plotter window | Plotter > Title Labels
Data points/channel lines | Channels > General Channels > Trace Channels > Marker Channels > Fill
Data view | Data View
Limits | Limits > General

Functionality

The following table lists all the pages of the Properties dialog box that contain settings concerning the basic functionality of the Plotter and its elements:

Function | Page, Setting
Automatic update of the data points | Plotter > General: Auto Update
Format of clipboard contents | Plotter > General: Copy To ClipBoard Format
Print settings | Plotter > Print
Ring buffer for data points | Channels > General: Ring Buffer Size
Drawing layers in the data view | Channels > General: Layer Limits > General: Layer Data View > Grid Lines: Layer
Digital channel interpretation | Channels > Digital
Data logging | Channels > Log File
Axis tracking | X-Axis > Tracking Y-Axes > Tracking Y-Axes > Scroll

See also

Properties Dialog


Managing Channels

This page contains procedures to manage the channels in the Plotter window.

To add a channel:

  1. Right-click in the legend to open the context menu of the legend.

  2. Choose the Add Channel command.

  3. Select a signal from the list and confirm the selection by pressing OK. A new channel is added and shown in the legend.

To assign a signal to a channel:

  1. Right-click on a channel in the legend to open the context menu of a channel.

  2. Choose the Select Signal command.

  3. Select a signal from the list, and confirm the selection by pressing OK.

To remove a channel:

  1. Right-click on a channel in the legend to open the context menu of the channel you want to delete.

  2. Select the Remove Channel command.

See also

Channels, Properties Dialog Box

Y-Axes, Properties Dialog Box


Importing Data from a Tracer

From the Tracer data can be imported, which was recorded before by the Tracer, the data recorder integrated in the PCAN-Explorer. Not only already stored Trace files can be accessed, but also data from open Trace windows.

To import data from a Tracer:

  1. Make sure a Symbols file is activated.

  2. Open a new Plotter window or bring an already open Plotter into the foreground.

  3. On the Tools menu in the Plotter submenu choose the Import from Tracer command.

- or -

In the Plotter toolbar click on the [image] icon.

  3. In the Import dialog box either choose a Trace window under Current Tracers (upper dialog area) or choose a file from the Trace file list (lower dialog area) with the data to be imported. Confirm the selection with OK.

  4. Select those signals from the list that shall be imported into the Plotter as one channel each. Confirm the selection with OK.

See also

Creating and Activating Symbols Files

Showing the Plotter

Import Dialog Box


Exporting Data

You can export recorded signal data points into a CSV file (Comma Separated Values). When exporting into a CSV file, all data points of all channels in a plotter are saved.

To export data:

  1. Open a Plotter file or bring an already open Plotter window into the foreground.

  2. On the File menu, choose Export.

- or -

In the Plotter toolbar click on the [image] icon.

  3. In the Save as type drop-down list, choose the CSV File type.

  4. Press the Save button.

You can change some options that control the CSV export in the Properties dialog box, on the Export tab.

An export operation can be automated using the ExportToCSV method.

See also

Export, Plotter, Properties Dialog Box

Importing Data from a Tracer


Measuring Signal Data

Movable data cursors can be displayed in the data view. The data cursors display a hint text containing the measured values (e.g. X-value and Y-value at the current position), depending on the cursor type.

To create a data cursor that displays X and Y values:

  1. In the context menu of the Plotter window (right mouse click), select the Properties command.

  2. In the Properties dialog box, select the Cursors tab.

  3. On the left side, press the Add button. A new data cursor is created with the default name "Cursor x".

  4. In the Style drop-down list, select the Value X-Y entry.

  5. Adjust the settings Pointer Pen Width, Color, Use Channel Color, and Font.

  6. From the Channel drop-down list, select the channel with which the data cursor shall be associated.

  7. Exit the Properties dialog box by pressing Close.

To display data cursors in the data view:

  • In the Plotter toolbar, click on the Cursor tool [image].

Note

If new data cursors are added in the Properties dialog box while the display of data cursors is active, these new data cursors will be displayed in the data view only after deactivating and activating the data cursor display.

See also

Cursors, Properties Dialog Box


Displaying Limits

Limits can be either Y-values or ranges of Y-values, which can be displayed graphically in the data view, e.g. by lines or hatched areas.

Example of limit band

The following procedure demonstrates the creation of a limit band.

To create a limit band:

  1. In the context menu of the Plotter window (right mouse click), select the Properties command.

  2. In the Properties dialog box. select the Limits tab.

  3. On the left side, press the Add button. A new limit element is created.

  4. In the Style drop-down list, select the Band setting. This defines the Limit as a band, not as a simple line.

  5. Define the starting value and the ending value of the limit band in the fields Line 1 Position and Line 2 Position.

  6. To prevent that the limit band covers the channel lines, reduce the drawing layer of the new limit (all new objects in the plotter are created by default on layer 100). For example, enter the value 90 in the Layer field. An object on layer 90 is behind an object on layer 100.

  7. Assign a Y-axis to the limit in the Y-Axis drop-down list. If the assigned Y-axis is then scrolled or zoomed, the displayed limit band is adjusted accordingly.

  8. Adjust the settings Fill Style, Line Style, Line Width, and Color, according your requirements.

  9. Exit the Properties dialog box by pressing Close.

Tip

The position of the limit lines can not only be defined in the Properties dialog box, but also in the data view using the mouse. To modify a limit with the mouse, choose the Select tool [image] in the Plotter toolbar, and then drag the limit with the mouse.

See also

Limits, Properties Dialog


Using Annotations

This topic contains procedures to create and edit annotations in the Plotter window.

Annotations are comment texts that can be inserted into the data view of the Plotter. Annotations are either associated with specific channels or the data view itself. If an annotation is associated with a channel, the annotation text is moved together with the channel's trace line and data points. If an annotation is associated with the data view, the text is anchored to a fixed position in the data view, independent of the positions of the x- and y-axes.

To add an annotation:

  1. Right-click in the data view to open the context menu of the data view and choose the Add Annotation command.

  2. Enter the desired text for the annotation, associate it with either the data view or a specific channel, and configure other properties to determine the appearance of the annotation.

  3. Press OK.

To edit an existing annotation:

  1. In the Plotter's toolbar, click on the Select tool [image].

  2. Move the mouse cursor over the annotation that you want to edit. The mouse pointer changes to a hand icon.

  3. Double-click with the mouse on the annotation

- or -

Right-click on the annotation to open the annotation's context menu.

  4. Change the annotation's properties as desired.

  5. Press OK.

To remove an existing annotation:

  1. In the Plotter's toolbar, click on the Select tool [image].

  2. Move the mouse cursor over the annotation that you want to edit. The mouse pointer changes to a hand icon.

  3. Right-click on the annotation to open the annotation's context menu and choose the Remove Annotation command.

To move an existing annotation:

  1. In the Plotter's toolbar, click on the Select tool [image].

  2. Move the mouse cursor over the annotation that you want to edit. The mouse pointer changes to a hand icon.

  3. Press the left mouse button and hold it down

  4. Drag the annotation to the new location and release the mouse button.

To navigate between existing annotations:

  1. Right-click on the data view to open the data view's context menu and choose one of the commands Next Annotation or Previous Annotation.

- or -

Click on the data view to select it, then press one of the keyboard shortcuts [Ctrl+Arrow-right] or [Ctrl+Arrow-left].

Note

When navigating between annotations, only those annotations are found that are associated with a specific channel.

See also

Annotation Dialog Box


Reference

Reference

This section contains information about dialog boxes and windows as well as the Plotter object model.

In this section

User Interface Reference

Contains reference topics for different dialog boxes and windows of the Plotter.

Plotter Object Model

Lists all objects, properties, methods and events which are available for the automation of the Plotter.


User Interface Reference

User Interface Reference

The topics in the User Interface Reference explain the options that appear in the different dialog boxes, windows, and other elements of the Plotter. These topics are usually shown when the [F1] key is pressed in a window or dialog box.

In this section

Plotter Window

Describes the individual elements of the Plotter window.

Properties Dialog Box

Allows the configuration of the various Plotter elements, e.g. channels, axes, legend and data view.

Import Dialog Box

This dialog is used to import data from Trace windows or stored Trace files.

Annotation Dialog Box

This dialog is used to create and edit annotations in the Plotter's data view.

Value Converter Dialog Box

The Value Converter can be used to convert date and time values to the date and time format used internally by Windows and the Plotter.


Plotter Window

The Plotter window displays the recorded signals.

Hint

Hover with the mouse over areas of the graphic and click on them in order to get more detailed information.

The arrangement and the appearance of all Plotter elements can be customized to own needs.

See also

Customizing the Plotter

Properties Dialog Box


Plotter Toolbar

The Plotter toolbar contains following buttons:

Icon | Description
 | Starts the Plotter recording.
 | Stops the Plotter recording.
 | Resumes the automatic axis tracking (all axes).
 | Stops the automatic axis tracking (all axes).
 | Sets the scale handling mode to "Scroll".
 | Sets the scale handling mode to "Zoom".
 | Zooms out the data view by the factor 2 (all axes).
 | Zooms in the data view by the factor 2 (all axes).
 | Activates the Select tool. It is used to move Limit markers or data points in the data view.
 | Activates the Zoom Box tool. In the data view a box can be dragged up with the mouse. The edged area produces the new pane of the data view.
 | Shows and hides the cursor for measuring signal courses.
 | Imports data from Trace windows or Trace files.
 | Exports data to a CSV file.
 | Opens the Properties dialog box.
 | Shows information about the Plotter Add-in, e.g. the version number.

Note

On all zoom and scroll actions the automatic axis tracking is paused.


Properties Dialog Box

Use the Properties dialog box to configure the various elements of the Plotter. To display the Properties dialog box, click on the button [image] in the Plotter toolbar or select Properties from the View menu while a Plotter window is active.

The Properties dialog box contains several pages on which the different properties of the plotter are grouped by function. Modifications to the different settings are applied immediately, without the need of closing the dialog.

To invoke the help for a specific tab, select the relevant page and press either the [F1] key, or push the Help button.

The Properties dialog box can display following pages:

Page | Description
Plotter | General properties of the Plotter.
Layout | The arrangement of the different elements of the Plotter in the Plotter window.
Channels | Configuration of the used channels.
Cursors | Settings regarding the measuring lines.
Limits | Settings regarding the limit lines of channels.
Labels | Configuration of text labels.
X-Axis | Settings regarding the X-axis.
Y-Axes | Settings regarding the Y-axes.
Legend | Settings regarding the legend.
Data View | Settings regarding the data view.

Save as Defaults

If this option is selected, the current settings are saved as default settings for further new plotter windows. The settings are saved when the Properties dialog box is closed.

Reset

By pressing this button, all settings are reset to the delivery state. The file containing the user's custom settings is deleted.

See also

Reference


Plotter, Properties Dialog Box

On the Plotter page of the Properties dialog box you can configure general settings of the plotter.

To display this page, click on the button [image] in the Plotter toolbar and then choose the Plotter category.

The Plotter page contains the following tabs:

Tab | Description
General | Adding data points automatically at a given time interval; changing the format in which a copy of the data view is sent to the clipboard; setting the outer margin around the Plotter.
Title | Showing or hiding the title bar and selection of the title text as well as the font type and color.
Background | Setting the background color or a color gradient as background.
Print | Configuration of the plot print.
Export | Options for the CSV export.

See also

Properties Dialog Box


General, Plotter, Properties Dialog Box

Use this page of the Properties dialog box to configure general settings of the Plotter.

To display this page, click on the button [image] in the Plotter toolbar, choose the Plotter category and then the General tab.

Copy To ClipBoard Format

Sets the format that is used to send a copy of the Plotter image to the clipboard (Edit menu, Copy command).

Auto Update

Setting this option results in data points being added automatically to all channels in a specified time interval. This can be useful if values of signals are updated rarely, and therefore no progress of the channel line would be visible in the data view. If this option is not activated, data points only are added to a channel when the value of its signal is set, e.g. when a CAN message is received that contains the signal.

Update Interval

Sets the time interval, at which data points are added automatically to all channels, if the Auto Update option is activated.

Update Frame Rate

The Update Frame Rate determines how often the plotter window is redrawn. If signal values change rapidly and you have a lot of channels in a plotter, it could be necessary to adjust the Update Frame Rate to reduce the CPU load of the computer.
For example, if you enter the value 10, the plotter is drawn up to 10 times per second. The default value is 20 Hz.

Outer Margin

Sets the width of the outer margin around the Plotter. The margin can be set individually for every side. The values in the fields specify the number of pixels, which are inserted on the respective side as a margin.

See also

Properties Dialog Box


Title, Plotter, Properties Dialog Box

Use this page of the Properties dialog box to configure the title bar of the Plotter window.

To display this page, click on the button [image] in the Plotter toolbar, choose the Plotter category and then the Title tab.

Visible

If this option is activated, the title bar is visible.

Text

Sets the text that is displayed as title.

Margin

This field sets the margin between the title bar and the data view. The value represents the percentage of a character size and is based on the font used for the title. A value of 0.5 is equal to half the size of a character.

Font

Sets the font that is used to draw the title text.

See also

Properties Dialog Box

Title, X-Axis

Title, Y-Axes


Background, Plotter, Properties Dialog Box

Use this page of the Properties dialog box to configure the background of the Plotter window.

To display this page, click on the button [image] in the Plotter toolbar, choose the Plotter category and then the Background tab.

Color

This field sets the background color of the Plotter window. This setting does not have any effect if the Gradient option is activated (Enabled field, see below).

Gradient

Enabled

If this option is activated, the background of the Plotter window is filled with a color gradient.

Direction

This setting sets the direction of the color gradient.

Start Color

This value sets the start color of the color gradient.

Stop Color

This value sets the end color of the color gradient.

See also

Properties Dialog Box


Print, Plotter, Properties Dialog Box

Use this page of the Properties dialog box to configure the output of the Plotter window on a printer.

To display this page, click on the button [image] in the Plotter toolbar, choose the Plotter category and then the Print tab.

Orientation

The Plotter window can be printed either in the Portrait or in the Landscape format.

Margin

Sets the margins on the page to be printed (in inches).

Document Name

This field sets the name of the document for printing.

See also

Properties Dialog Box


Export, Plotter, Properties Dialog Box

Use this page of the Properties dialog box to configure options for the CSV export.

To display this page, click on the button [image] in the Plotter toolbar, choose the Plotter category and then the Export tab.

Decimal Separator

Determines the decimal separator that is used for the values in the file. If the Automatic setting is selected, the decimal separator is determined by the Region and Number format setting in the Windows Control Panel.

Column Separator

Determines the character that is used to separate the individual columns in the file.

If the Automatic setting is selected, the column separator depends on the decimal separator:

  • If the decimal separator is a Point, the column separator will be a Comma.

  • If the decimal separator is a Comma, the column separator will be a Semicolon.

Time Column

Determines how timestamps of signals are stored in the file:

  • Individual Columns for each Channel: Each channel gets two columns in the file, which contain the value pairs of timestamp and signal value.

  • Common column for all Channels: The first column in the file is a common time column. The other columns contain only the values of signals at the respective time.

Qualified Signal Names

Prints signal names in their fully qualified form into the column headings of the CSV file.

If a signal is based on a CAN symbol, the name is composed of the names of symbols file, symbol, multiplexer (if available), and the variable, separated by points. Examples:

SymbolsFile.SymbolName.VariableName
SymbolsFile.SymbolName.MultiplexerName.VariableName

If a signal is not based on a CAN symbol:

SymbolsFile.SignalName

See also

Properties Dialog Box


Layout, Properties Dialog Box

Use this page of the Properties dialog box to control the layout of the individual elements contained in the plotter window.

To display this page, click on the button [image] in the Plotter toolbar and then choose the Layout category.

The individual elements can be positioned using drag-and-drop. The size of some elements can be controlled by dragging the elements edges with the mouse. If an edge is movable is indicated by the mouse cursor, when positioned over an edge.

Additional commands are available in the context menu (via second mouse button) of some elements.

See also

Properties Dialog Box


Channels, Properties Dialog Box

Use the Channels page in the Properties dialog box to configure the individual channels of the Plotter. The Channels list contains all available channels. To change the properties of a channel, first select the channel from the list.

To display this page, click on the button [image] in the Plotter toolbar and then choose the Channels category.

The Channels page contains the following tabs:

Tab | Description
General | Assigning a signal to a channel; changing the name or the color of a channel.
Trace | Showing and hiding channels; changing of line widths and line style.
Marker | Displaying of data points; configuration of data points.
Fill | Filling the channel curve: selection of the fill pattern and the fill color.
Digital | Using a digital signal as data source for a channel.
Log File | Output of the recorded data into log files.
Statistics | Querying of statistical data.

Settings

Y-Axes

Lists all available channels.

Add

Adds a new channel.

Remove

Removes the channel that is chosen in the list. All settings of this channel will be deleted.

See also

Properties Dialog Box


General, Channels, Properties Dialog Box

This page of the Properties dialog box can be used to configure general settings of channels. These include the channel name, the signal to be displayed, and the channel color.

To display this page, click on the button [image] in the Plotter toolbar, choose the Channels category and then the General tab.

Name

This field defines the name of the channel. Other elements of the plotter reference a channel using this name.

Signal

This field defines the signal that shall be displayed in the channel. Clicking the button next to the field displays a dialog box to select a signal.

Title

Sets a title for the channel. This title is used to indicate the channel in the legend.

Unit

Sets a physical unit for the channel. Typically, the unit of a channel is determined by the signal assigned to the channel.

Ring Buffer Size

If a value higher than 0 is entered in this field, then a ring buffer is created for the channel. If a ring buffer is created for the channel, only the entered number of data points can be saved. If the ring buffer is full, the oldest data points are erased when storing more data. A ring buffer can be useful, if the Plotter shall be used to display data continuously over a long period of time. This saves computer resources (RAM).

Layer

Indicates the drawing layer of the channel in the data view of the Plotter. For example, a channel on layer 100 is drawn in front of a channel that is on layer 80.

Color

This field defines the color of the channel line.

Y-Axis

This field chooses an Y axis which is to be used by the channel. In contrast to the Plotter Add-in from PCAN-Explorer 5 or earlier, no longer has each channel its own Y axis, but a Y axis can be assigned to multiple channels.

Visible

If this option is activated, the data of the channel is visible in the data view of the Plotter.

User can move Data Points

If this option is activated, data points can be moved with the mouse. To move data points, the Select tool must be activated. Data points can be shown on the Marker sub-tab.

Style

If the User can move Data Points option is activated, this setting controls in which dimensions the data points can be moved.

See also

Properties Dialog Box


Trace, Channels, Properties Dialog Box

Use this page of the Properties dialog box to configure the channel lines in the chart.

To display this page, click on the button [image] in the Plotter toolbar, choose the Channels category and then the Trace tab.

Visible

If this option is activated, the channel line is visible in the chart.

Line Style

The line style of the channel can be configured with this field. Various dotted or dashed line styles can be chosen.

Line Width

This field sets the width of the channel line (in pixels).

Interpolation Style

Sets the type of interpolation used to draw lines or curves between data points.

Note

When using one of the Interpolation Styles Cubic Spline or Rational, changing the Line Style to a value other than Straight Line has no effect.

See also

Properties Dialog Box


Marker, Channels, Properties Dialog Box

Use this page of the Properties dialog box to configure the appearance of data points in the chart.

To display this page, click on the button [image] in the Plotter toolbar, choose the Channels category and then the Marker tab.

Show

If this option is activated, data points are displayed in the chart. Data points are added to the chart whenever the value of a signal is set, e.g. because a CAN message containing this signal has been received. If the option Auto Update is activated on the Plotter tab, additional data points are added to the chart at the set time interval, even if the value of a signal hasn't been set (e.g. no CAN message has been received).

Note

The Data points are automatically hidden if the number of data points exceeds the limit that is configured in the Turn Off Limit field.

Style

Sets the appearance of the data points.

Size

This field defines the size of the data points (in pixels).

Turn Off Limit

Sets the maximum number of viewable data points. If the number of data points to be drawn exceeds this limit, then all data markers for the channel will be hidden.

Pen

The border of the data points is defined here.

Use Channel Color

If this option is activated, the color setting of the related channel line is used to draw the data points' border. If the option is deactivated, the following setting in the Color field gets valid.

Style

This field defines the style of the border of the data points.

Color

This field defines the color of the border of the data points, if the option Use Channel Color is deactivated.

Width

This field defines the width of the border of the data points.

Brush

Sets how the data points are filled.

Use Channel Color

If this option is activated, the color setting of the related channel line is used to fill the data points. If the option is deactivated, the following setting in the Color field gets valid.

Style

This field defines the fill style of the data points.

Color

This field defines the fill color, if the Use Channel Color option is deactivated.

See also

Plotter

Properties Dialog Box


Fill, Channels, Properties Dialog Box

Use this page of the Properties dialog box to configure the curve filling pattern, which can be used when drawing the channel line in the diagram.

To display this page, click on the button [image] in the Plotter toolbar, choose the Channels category and then the Fill tab.

Enabled

If this option is activated, a filling pattern is drawn from a baseline up (or down) to the respective signal value. The vertical position of the baseline can be adjusted in the Reference field.

Reference

This value sets the vertical position of the baseline for the filling pattern.

Use Channel Color

If this option is activated, the color of the filling pattern is determined by the channel color.

Color

This field defines the color of the filling pattern, if the Use Channel Color option is deactivated.

Style

Sets the style of the filling pattern.

See also

Properties Dialog Box


Digital, Channels, Properties Dialog Box

This page of the Properties dialog box contains settings for channels that shall be displayed as a digital signal. The actual input value 0 is interpreted as 0, and all input values <> 0 are interpreted as 1. An advantage of the display as a digital signal is the use of vertical edges at a state transition between two data points.

To display this page, click on the button [image] in the Plotter toolbar, choose the Channels category and then the Digital tab.

Enabled

If this option is activated, the signal is interpreted as a digital signal.

Reference High

This field sets the displayed channel value, when the digital signal contains the value 1.

Reference Low

This field sets the displayed channel value, when the digital signal contains the value 0.

See also

Properties Dialog Box


Log File, Channels, Properties Dialog Box

Use this page of the Properties dialog box to configure log files, which can be used to save the data of single channels in text format. Log files can be viewed or reprocessed while the recording is still in progress.

One entry in the log file includes the date and the time of the logged data point, using the Windows floating-point representation, both separated by a comma. This date and time format can be interpreted directly by the spreadsheet software like Microsoft Excel. Next to the timestamp and separated by a tabulator character, the entry contains the Y-value of the data point.

To display this page, click on the button [image] in the Plotter toolbar, choose the Channels category and then the Log File tab.

File Name

This field defines the path and file name of the log file that shall be created for the selected channel.

Buffer Size

This value sets the size of the log buffer (number of recorded data points). When logging is active, and the size of the log buffer is greater than 0, data will flow into the log buffer. When the buffer is filled, then data will be written to the log file and the buffer cleared. This is useful if you want to regulate how often data is written to the log file. If this value is 0, the data is written to the log file after every new data point is added to the chart.

Activate

This button activates logging for the selected channel.

Deactivate

This button deactivates logging for the selected channel.

See also

Properties Dialog Box


Statistics, Channels, Properties Dialog Box

Use this page of the Properties dialog box to get statistical data about the channels.

To display this page, click on the button [image] in the Plotter toolbar, choose the Channels category and then the Statistics tab.

Point Count

The number of the channel's data points.

Point Capacity

The number of data points that are currently kept as maximum in memory. As soon as the Point Count exceeds this value, the capacity is increased by 25% to save further data points. This procedure reduces the memory administration effort and increases the performance.

Memory Used

The currently allocated bytes of memory in use by the channel.

Data Point Size

Number of bytes that every data point requires.

Max Data Points

The theoretical maximum number of data points that can be created for the channel. This value does not depend on the currently available free RAM, but on the presumed maximum memory size, an executable program can occupy in Windows (about 2 GB on 32-bit systems).

X-Min

The time of the first data point in the channel.

X-Max

The time of the last data point in the channel.

Y-Min

The smallest Y-value in the channel.

Y-Max

The greatest Y-value in the channel.

Y-Mean

The Y-mean.

Refresh

Clicking this button will update all statistical values.

See also

Properties Dialog Box


Cursors, Properties Dialog Box

This page of the Properties dialog box can be used to configure settings concerning data cursors. Data cursors are shown when the Cursor tool [image] in the Plotter toolbar is activated.

To display this page, click on the button [image] in the Plotter toolbar and then choose the Cursors category.

Cursors

Lists all available cursors.

Add

Adds another data cursor.

Remove

Removes the selected data cursor. All settings of this data cursor will be deleted.

General Tab

Name

This field sets the name of the selected data cursor. Other elements of the plotter reference this data cursor using this name.

Style

Sets the type of the data cursor. The following types are available:

Type | Description
Value X-Y | Displays the X value and the Y value at the cursor position.
Value X | Displays the X value at the cursor position.
Value Y | Displays the Y value at the cursor position.
Delta X | Displays the X span between two vertical pointer lines.
Peak-Peak | Displays the Y span between two horizontal pointer lines, related to a specific channel.
Frequency | Displays the frequency for the time interval between to vertical pointer lines.
Value Y (Scope Style) | Displays a Y-cursor similar to cursors on Oscilloscopes.

Pointer Pen Width

Sets the with of the pointer lines for the selected data cursor.

Color

This field sets the pointer line color of the selected data cursor if the Use Channel Color option is deactivated, and the Channel setting is not set to "<All>".

Font

Sets the font that is used to display the data cursor hint text.

Channel

Associates a particular channel's data with the cursor. Data from this channel is then used by the cursor to display individual data points, ranges, and other cursor calculated values.

Hint

If you would like to show measurement data for all channels at the same time, select the entry <All>. In this case, the measurement data is displayed in the Legend, which is usually located on the right side of the Plotter window. If it is not visible, please check the Legend settings in the Properties dialog box on the Legend | General page.

Snap to Data Point

If this option is activated, the cursor snaps to the nearest data point of the associated Channel after dragging it with the mouse.

Use Channel Color

If this option is activated, the cursor lines are drawn using the associated Channel's line color.

See also

Properties Dialog Box

Labels, X-Axis

Labels, Y-Axes


Limits, Properties Dialog Box

Use this page of the Properties dialog box to configure settings regarding limits (lines or bands). They are shown in the data view graphically and do not have any functional properties.

To display this page, click on the button [image] in the Plotter toolbar and then choose the Limits category.

Limits

Lists all available limits.

Add

Adds a limit (line or band respectively) to the list.

Remove

Deletes the selected limit. All settings of this limit will be deleted.

General Tab

Name

This field sets the name of the selected limit. Other elements of the plotter reference this limit using this name.

Style

Sets the type of the limit. A limit can be defined either as a single line, or as a band with upper and lower limit values.

Line 1 Position

This field sets the value of the limit, if the limit is defined as a single line. If a band is configured, this value defines the upper or lower limit value.

Line 2 Position

If a band is configured, this value defines the upper or lower limit value in connection with the value in the field Line 1 Position.

Layer

Sets the drawing layer of the limit in the data view of the Plotter. For example, a channel line on layer 100 is drawn in front of a limit that is on layer 80.

Y-Axis

Specifies the Y-axis object used for referencing by the limit.

Visible

If this option is activated, the limit is shown in the data view of the Plotter.

Fill Style

If the limit style is configured as a band, this field sets the fill style.

Line Style

Specifies the line style of the limit line or lines.

Line Width

Specifies the line width used when drawing the limit line or lines. If the Style has been set to "Band", this setting has no effect.

Color

Sets the color of the limit line or lines.

See also

Properties Dialog Box


Labels, Properties Dialog Box

Use this page of the Properties dialog box to configure additional labels added to the Plotter window.

To display this page, click on the button [image] in the Plotter toolbar and then choose the Labels category.

The position of a label can be controlled on the Layout page of the Properties dialog box.

Labels

Lists all available labels.

Add

Adds another label.

Remove

Deletes the selected label. All settings of this label will be deleted. You cannot delete the default "Title" label.

General Tab

Name

This field sets the name of the selected label. Other elements of the plotter reference this label using this name.

Visible

If this option is activated, the label is visible in the Plotter window.

Font

Sets the font that the label uses.

Caption

Sets the text that is displayed in the label.

Alignment

Controls the horizontal placement of the text within the label object.

Margins

Sets the margins between the caption and the outer edges of the label. Each value represents the percentage of the character size and is based on the font used for the label. A value of 0.5 is equal to half the size of a character.

See also

Properties Dialog Box


X-Axis, Properties Dialog Box

On the X-Axis page of the Properties dialog box you can configure settings regarding the X-axis of the Plotter window.

To display this page, click on the button [image] in the Plotter toolbar and then choose the X-Axis category.

The X-axis page contains the following tabs.

Tab | Description
General | Showing and hiding the X-axis; showing the grid lines; reversing the scale.
Title | Setting a title for the X-axis.
Labels | Configuring scale labels, data cursors, and legend.
Tracking | Configuring the X-axis tracking.
Scale | Adjusting the scale lines.

See also

Properties Dialog Box


General, X-Axis, Properties Dialog Box

Use this page of the Properties dialog box to configure general settings of the X-axis.

To display this page, click on the button [image] in the Plotter toolbar, choose the X-Axis category and then the General tab.

Visible

If this option is activated, the X-axis is visible in the Plotter window.

Grid Lines Visible

If this option is activated, vertical grid lines are shown in the data view. The positions of the grid lines are determined by the main ticks of the X-axis scale.

Reverse Scale

If this option is activated, the X-axis is reversed, i.e. it goes from right to left.

Restore Values On Resume

If this option is activated, the axis restores the original axis parameters and value that were in effect when the tracking was paused. All parameters (such as axis span) are restored when the tracking of the X-axis is resumed.

Min

Sets the start time of the X-axis.

Span

Sets the time span shown on the X-axis.

Note

The settings for Min and Span are interpreted as date and time according to the Windows-internal format. If the buttons next to the fields are pressed, a Value Converter dialog box opens, which allows the value conversion between a time and the Windows internal time values.

See also

Properties Dialog Box

Value Converter Dialog Box


Title, X-Axis, Properties Dialog Box

This page of the Properties dialog box can be used to configure the title of the X-axis.

To display this page, click on the button [image] in the Plotter toolbar, choose the X-Axis category and then the Title tab.

Visible

If this option is activated, the title of the X-axis is displayed in the Plotter window.

Text

Indicates the text for the title.

Margin

Sets the margin between the X-axis title and X-axis scale labels. This value represents the percentage of a character size and is based on the font used for the X-axis title. A value of 0.5 is equal to half the size of a character.

Font

Sets the font that is used for the title.

See also

Title, Y-Axes

Title, Plotter


Labels, X-Axis, Properties Dialog Box

This page or the Properties dialog box can be used to configure labels, which are related to the X-axis or X-values.

To display this page, click on the button [image] in the Plotter toolbar, choose the X-Axis category and then the Labels tab.

(Default) tab

Use this tab to configure the scale labels of the X-axis.

Visible

If this option is activated, the labels for the X-axis are visible.

Font

Sets the default font that is used for labels on the X-axis.

Label Separation

Sets the minimum separation between scale labels. The value represents the percentage of a character size and is based on the font used for the axis. A value of 0.5 is equal to half the size of a character. The actual separation maybe greater due to the auto-scaling, which reduces the number of major ticks to keep the scale labels in a human readable form (1-2-5 Rule).

Margin

Sets the spacing between the major tick and major tick labels. The value represents the percentage of a character size and is based on the font used for the axis. A value of 0.5 is equal to half the size of a character.

Date Time Format

Sets the date and time format used for the axis labels. The following placeholders can be used to format the date and time output:

Placeholder | Function
am/pm | am and pm indication, hour output in 12-hour format.
d | Day as number (1-31), shortest possible form.
dd | 2-digit day (01-31).
ddd | Day name, abbreviated to 2 characters (system locale dependent).
dddd | Day name, not abbreviated (system locale dependent).
h | Hour, shortest possible form. If am/pm is also indicated in the format string, hour is in 12-hour format.
hh | 2-digit Hour. If am/pm is also indicated in the format string, hour is in 12-hour format.
m | Month as a number (1-12), shortest possible form.
mm | 2-digit Month (01-12).
mmm | Month name, abbreviated to 3 characters (system locale dependent).
mmmm | Month name, not abbreviated (system locale dependent).
n | Minute, shortest possible form (0-59).
nn | 2-digit Minute (00-59).
s | Second, shortest possible form (0-59).
ss | 2-digit Second (00-59).
x | Microseconds, up to 3 digits (x, xx, xxx).
yy | 2-digit Year.
yyyy | 4-digit Year.
z | Milliseconds, up to 3 digits (z, zz, zzz).

Cursor tab

When doing measurements with a cursor, the X-value can be displayed in the cursor label. The formatting of the label can be configured on this tab.

Use Default Format

If this option is activated, the label settings on the (Default) tab are used also for cursors.

Date Time Format

Sets the date and time format used for cursor labels. See Date Time Format field on the (Default) tab for more information.

Copy Default

Copies the date and time format setting used for the cursors from the (Default) tab.

Legend tab

Use this tab to configure the formatting of X-values shown in the legend.

Use Default Format

If this option is activated, the label settings on the (Default) tab are used also for the legend.

Date Time Format

Sets the date and time format used for the legend label. See Date Time Format field on the (Default) tab for more information.

Copy Default

Copies the date and time format setting used for the legend from the (Default) tab.

See also

Properties Dialog Box

Cursors

Columns, Legend


Tracking, X-Axis, Properties Dialog Box

This page of the Properties dialog box can be used to configure the tracking of the X-axis.

To display this page, click on the button [image] in the Plotter toolbar, choose the X-Axis category and then the Tracking tab.

Enabled

If this option is activated, the axis tracking is activated. This corresponds to the pressing the Resume Tracking button [image] and Pause Tracking button [image] on the Plotter toolbar.

Auto-Enable when Logging is started

If this option is activated, the tracking of the X-axis will be automatically enabled when the Logging is started. If the X-axis shall keep its selected time settings when the Logging is started, this option must be deactivated.

Style

The tracking of the X-axis can be configured in two different ways:

  • Scroll Smooth - When a data point reaches the right edge of the data view, the contents of the data view and the X-axis is scrolled smoothly and continuously to the left.

  • Scroll Page - When a data point reaches the right edge of the data view, the X-axis jumps to the next time interval.

See also

Tracking, Y-Axes


Scale, X-Axis, Properties Dialog Box

Use this page of the Properties dialog box to configure the scale of the X-axis.

To display this page, click on the button [image] in the Plotter toolbar, choose the X-Axis category and then the Scale tab.

Lines Visible

If activated, the lines of the X-axis are visible.

Major Length

Length of the major ticks (in pixels).

Minor Length

Length of the minor ticks (in pixels).

Minor Count

Number of minor ticks between two major ticks.

Lines Color

Sets the color of the X-axis lines (the color of the labels is defined on the Labels tab).

Inner Margin

Sets the distance (in pixels) between the X-axis line and the data view.

Outer Margin

Sets the distance (in pixels) between the X-axis line and the scale labels or the title of the X-axis.

Start Position / Stop Position

Sets the starting and stopping position within the plot layout drawing area where the X-axis is drawn, in percent. The reference 0% is the left of the data view. The reference 100% is the right of the data view.

See also

Scale, Y-Axes


Y-Axes, Properties Dialog Box

On the Y-Axes page in the Properties dialog box you can configure settings regarding the Y-axes of the Plotter window. The Y-Axes list contains all available y-axes. To change the properties of an axis, first select the axis from the list.

To display this page, click on the button [image] in the Plotter toolbar and then choose the Y-Axes category.

The Y-Axes tab contains the following sub-tabs:

Tab | Description
General | Showing and hiding the Y-axes; showing the grid lines; reversing the scale; defining the scale type.
Title | Setting the title of the Y-axis.
Labels | Configuring scale labels, data cursors, and legend.
Tracking | Configuring the Y-axis tracking.
Scroll | Defining the scroll area.
Scale | Adjusting the scale lines.

Settings

Y-Axes

Lists all available y-axes.

Add

Adds a new y-axis.

Remove

Removes the y-axis that is chosen in the list. All settings of this y-axis will be deleted.

See also

Properties Dialog Box


General, Y-Axes, Properties Dialog Box

Use this page of the Properties dialog box to configure general settings of the Y-axes.

To display this page, click on the button [image] in the Plotter toolbar, choose the Y-Axes category and then the General tab.

Name

This field defines the name of the selected Y-axis. Other elements of the plotter reference a Y-axis using this name.

Min

Sets the minimum value that is displayed on the selected Y-axis.

Span

Sets the range displayed on the Y-axis.

Desired Start

Sets the desired start for the axis scale. This setting will affect what value will be on the first major tick of the axis. The value 0 deactivates this function.

Desired Increment

Sets the desired increment for the Y-axis scale. The value 0 indicates that the auto-scaling is activated to follow a 1-2-5 rule, which ensures that the scale major ticks and labels fall along "human-readable" whole numbers such as "0, 25, 50, 75, 100", "0, 10, 20, 30, 40, 50, 60, 70, 80, 90, 100", etc. depending on the Min and Span settings.

Scale Type

The scale of the selected Y-axis can be either Linear or logarithmic to the base 10 (Log10). If a logarithmic scale is selected, the Min and Span values are restricted to being greater than 0.

Visible

If this option is activated, the selected Y-axis is visible in the Plotter window.

Grid Lines Visible

If this option is activated, horizontal grid lines are shown in the data view. The positions of the grid lines are determined by the major ticks of the Y-axis scale.

Enabled

Activating this option causes the user interface (e.g. scrolling the scale) is available for the Y-axis. If this option is deactivated, the Y-axis cannot be manipulated with the mouse or keyboard.

Reverse Scale

If this option is activated, the Y-axis is reversed, i.e. it goes from top to bottom.

Restore Values On Resume

If this option is activated, the axis restores the original axis parameters and values that were in effect when the axis tracking is paused (either by clicking the Stop Logging button or Pause All Tracking button). All parameters (such as axis Min and Span) are restored when the Start Logging button or Resume All Tracking button is clicked.

Master UI Input

If this option is activated, this axis will be the Master User Interface for all Y-axes. This is useful if you want the scrolling action of one Y-axis to be synchronized with all other Y-axes.

See also

Properties Dialog Box


Title, Y-Axes, Properties Dialog Box

This page of the Properties dialog box can be used to configure the title of the selected Y-axis.

To display this page, click on the button [image] in the Plotter toolbar, choose the Y-Axes category and then the Title tab.

Visible

If this option is activated, the title of the selected Y-axis is displayed in the Plotter window.

Rotated

Rotates the Y-axis title by 90° so that it is displayed horizontally.

Text

Indicates the text for the title.

Margin

Sets the margin between the Y-axis title and Y-axis scale labels. This value represents the percentage of a character size and is based on the font used for the Y-axis title. A value of 0.5 is equal to half the size of a character.

Font

Sets the font that is used for the title.

See also

Title, X-Axis

Title, Plotter


Labels, Y-Axes, Properties Dialog Box

Use this page of the Properties dialog box to configure labels, which are related to the Y-axes or Y-values.

To display this page, click on the button [image] in the Plotter toolbar, choose the Y-Axes category and then the Labels tab.

(Default) tab

Use this tab to configure the scale labels of the selected Y-axis.

Visible

If this option is activated, the labels for the Y-axis are visible.

Font

Sets the font that is used Makes the selection of the font style and color for the label possible.

Label Separation

Sets the minimum separation between scale labels. The value represents the percentage of a character size and is based on the font used for the axis. A value of 0.5 is equal to half the size of a character. The actual separation maybe greater due to the auto-scaling, which reduces the number of major ticks to keep the scale labels in a human readable form (1-2-5 Rule).

Margin

Sets the spacing between the major tick and major tick labels. The value represents the percentage of a character size and is based on the font used for the axis. A value of 0.5 is equal to half the size of a character.

Format Style

Specifies the formatting style of the scale labels.

Style | Meaning
Value | Simple value (e.g. 198678.567)
Exponent | Exponential (e.g. 2.35E+002)
Prefix | Prefix notation (e.g. 2.2K)
DateTime | Date/Time (e.g. 1/3/01 05:23:44 AM)
Price 32nds | This format is used in the Bond and Securities markets.
Thousands | Groups digits using the thousands separator specified in your regional setting (e.g. 100,231,456.000)

Date Time Format

Sets the date and time format used for the scale labels, if the Format Style is set to DateTime. See Date Time Format field on the X-Axis (Default) tab for more information.

Precision Style

This setting specifies how the Precision value is interpreted when formatting scale labels. If Significant Digits is selected, the number of digits is automatically calculated to ensure that the span of values will show enough significant digits.

Precision

This value sets the number of significant digits shown in the axis labels. The actual number of digits shown to the right of the decimal place depends on the setting of Precision Style.

Show Enum Strings

If enabled, axis label texts can be replaced with enum strings of signals.

Cursor tab

Use this tab to configure the formatting of Y-values shown in cursor labels.

Use Default Format

If this option is activated, the label settings on the (Default) tab are used also for cursors.

Copy Default

Copies the format settings for cursors from the (Default) tab.

Format Style

Sets the formatting style of Y-values shown in cursor labels. See Format Style field on the (Default) tab for more information.

Date Time Format

Sets the date and time format used for cursor labels, if the Format Style is set to DateTime. See Date Time Format field on the X-Axis (Default) tab for more information.

Precision Style

This setting specifies how the Precision value is interpreted when formatting data cursor hint text. If Significant Digits is selected, the number of digits is automatically calculated to ensure that the span of values will show enough significant digits.

Precision

This value sets the number of significant digits shown in the data cursor hint text. The actual number of digits shown to the right of the decimal place depends on the setting of Precision Style.

Legend tab

Use this tab to configure the formatting of Y-values shown in the legend.

Use Default Format

If this option is activated, the label settings on the (Default) tab are used also for the legend. See Format Style field on the (Default) tab for more information.

Copy Default

Copies the format settings for the legend from the (Default) tab.

Format Style

Sets the formatting style of Y-values shown in the legend. See Format Style field on the (Default) tab for more information.

Date Time Format

Sets the date and time format used for the legend label, if the Format Style is set to DateTime. See Date Time Format field on the X-Axis (Default) tab for more information.

Precision Style

This setting specifies how the Precision value is interpreted when formatting legend hint text. If Significant Digits is selected, the number of digits is automatically calculated to ensure that the span of values will show enough significant digits.

Precision

This value sets the number of significant digits shown in the legend hint text. The actual number of digits shown to the right of the decimal place depends on the setting of Precision Style.

See also

Properties Dialog Box

Cursors

Columns, Legend


Tracking, Y-Axes, Properties Dialog Box

This page of the Properties dialog box can be used to configure the axis tracking of the selected Y-axis.

To display this page, click on the button [image] in the Plotter toolbar, choose the Y-Axes category and then the Tracking tab.

Enabled

If this option is activated, the axis tracking is activated. This corresponds to the pressing Resume Tracking button [image] and Pause Tracking button [image] on the Plotter toolbar.

Auto-Enable Tracking of all Y-Axes when Logging is started

If this option is activated, the tracking of all Y-axes will be automatically enabled when the Logging is started. If the Y-axes shall keep their selected Min and Span when the Logging is started, this option must be deactivated.

Style

The tracking of the Y-axis can be configured in the following ways:

  • Scale [Min & Max | Max | Min] - The scale is compressed based on new channel data. It can be selected whether the compression is restricted to only one direction.

  • Scroll Smooth - When the channel data reaches the upper or lower edge of the scale, the contents of the plot area and the Y-scale is scrolled smoothly up or down, keeping the current axis span.

  • Scroll Page - When the channel data reaches the upper or lower edge, the Y-scale jumps to the next section.

  • Expand Collapse - The axis span is adjusted, so that the Y-values in the current period use the full height of the data view.

Align First Style

Specifies how the axis aligns itself when it receives its first data point.:

  • Min - Shows the first data point at the beginning of the scale.

  • Max - Shows the first data point at the end of the scale.

  • Auto - The axis remains unchanged if the first data point lies in the visible area. Otherwise, the first data point is shown at the beginning of the scale.

  • None - The axis is not adjusted to the first data point.

Scroll Compress Max

Indicates the maximum axis span value up to which the Y-axis is compressed. If logging a new data point would result in a higher span than the indicated value, the axis will be scrolled instead of being compressed. If the value 0 is indicated, this function is disabled.

See also

Tracking, X-Axis


Scroll, Y-Axes, Properties Dialog Box

This page of the Properties dialog box can be used to limit the scroll area of the selected Y-axis.

To display this page, click on the button [image] in the Plotter toolbar, choose the Y-Axes category and then the Scroll tab.

Min/Max Enabled

If this option is activated, the scrolling of the selected Y-axis is fixed to a range of values.

Min / Max

Specifies a fixed minimum and a maximum limit on scrolling of the Y-axis.

See also

Properties Dialog Box


Scale, Y-Axes, Properties Dialog Box

This page of the Properties dialog box can be used to configure the scale of the selected Y-axis.

To display this page, click on the button [image] in the Plotter toolbar, choose the Y-Axes category and then the Scale tab.

Lines Visible

If activated, the lines of the Y-axis are visible.

Major Length

Length of the major ticks (in pixels).

Minor Length

Length of the minor ticks (in pixels).

Minor Count

Number of minor ticks between two major ticks.

Lines Color

Sets the color of the Y-axis lines (the color of the labels is set on the Labels tab).

Inner Margin

Sets the distance (in pixels) between the Y-axis line and the data view.

Outer Margin

Sets the distance (in pixels) between the Y-axis line and the scale labels or the title of the Y-axis.

Stacking Ends Margin

This field sets the margin at the end of the axis when stacked. The value represents the percentage of a character size and is based on the font used for the axis labels. A value of 0.5 is equal to half the size of a character.

Start Position / Stop Position

Sets the starting and stopping position within the plot layout drawing area where the Y-axis is drawn, in percent. The reference 0% is the bottom of the data view. The reference 100% is the top of the data view.

See also

Scale, X-Axis


Legend, Properties Dialog Box

On the Legend page of the Properties dialog box you can configure settings related to the legend of the Plotter window.

To display this page, click on the button [image] in the Plotter toolbar and then choose the Legend category.

The Legend page contains the following tabs:

Tab | Description
General | Showing and hiding of the legend; selection of the background color and the fonts.
Columns | Showing and hiding of different columns.
Wrap | Configuration of the columns and rows of the legend.

See also

Properties Dialog Box


General, Legend, Properties Dialog Box

Use this page of the Properties dialog box to configure the legend in the Plotter window.

To display this page, click on the button [image] in the Plotter toolbar, choose the Legend category and then the General tab.

Visible

If this option is activated, the legend is displayed in the Plotter window.

Font

Sets the font that is used to draw the legend text.

Channel Name Max Width

This field defines the maximum number of characters that are available to display the channel name. If more characters are required, the title is wrapped to the next line, if possible.

The value 0 means that the title is not limited in width. The width of the legend is adjusted to the width of the names.

Column Spacing

Sets the spacing between columns in the legend. The value represents the percentage of a character size and is based on the font used in the Legend. A value of 0.5 is equal to half the width of a character.

Margin

Sets the margins between each side of the legend and the internally drawn items. Each value represents the percentage of a character size and is based on the font used in the Legend. A value of 0.5 is equal to half the size of a character.

Background

Transparent

If this option is activated, the background color of the legend is determined by the background color of the Plotter window.

Color

This field defines the background color of the legend, if the Transparent option is deactivated.

Selected Item

Font

Sets the font that is used to draw the selected channel name in the legend.

Background Color

This field defines the background color that is used to draw a selected channel name in the legend.

See also

Properties Dialog Box


Columns, Legend, Properties Dialog Box

Use this page of the Properties dialog box to configure the columns that are displayed in the legend.

To display this page, click on the button [image] in the Plotter toolbar, choose the Legend category and then the Columns tab.

Titles

Visible

If this option is activated, the individual legend columns are provided with titles.

Font

Sets the font that is used to draw the column titles of the legend.

Show

Line

Shows or hides the line style and line color of the channel.

Marker

Shows or hides an example of the data points of the channel.

Y-Axis Title

Shows or hides the title of the Y-axis used by this channel.

X-Value

Shows or hides the current X-value of the channel.

Y-Value

Shows or hides the current Y-value of the channel.

Y-Max

Shows or hides the current maximum Y-value of the channel.

Y-Min

Shows or hides the current minimum Y-value of the channel.

Y-Mean

Shows or hides the current Y-mean of the channel.

Unit

Shows or hides the physical unit of the channel.

See also

Properties Dialog Box


Wrap, Legend, Properties Dialog Box

Use this page of the Properties dialog box to configure the columns and rows of the legend.

To display this page, click on the button [image] in the Plotter toolbar, choose the Legend category and then the Wrap tab.

Columns

Desired Count

Specifies the desired number of columns before wrapping the channel entries in the Legend.

Auto Count

If this function is enabled, the Plotter automatically determines the number of columns. In this case, the Max field sets the maximum allowed number of columns.

Spacing

If the Auto option is activated, the spacing will be automatically adjusted to fully justify the legend entries within the bounds of the legend, but the spacing will never be less than the minimum spacing specified in the Min field. When the Auto option is deactivated, then the Min value is the fixed spacing between columns.

The Min field specifies the minimum amount of spacing between legend entries (not the spacing between the channel name, channel X-Value, channel Data Marker, etc. columns). A value of 0.5 is equal to half the size of a font character used in the Legend.

Rows

Desired Count

Specifies the desired number of rows before wrapping the channel entries in the Legend.

Auto Count

If this function is enabled, the Plotter automatically determines the number of rows. In this case, the Max field sets the maximum allowed number of rows.

Spacing

If the Auto Count option is activated, the spacing will be automatically adjusted to fully justify the legend entries within the bounds of the legend, but the spacing will never be less than the minimum spacing specified in the Min field. When the Auto option is deactivated, then the Min value is the fixed spacing between rows.

The Min field specifies the spacing between channel rows in the Legend. A value of 0.25 is equal to a quarter of the height of a font character used in the Legend.

See also

Properties Dialog Box


Data View, Properties Dialog Box

On the Data View page of the Properties dialog box you can configure the data view of the plotter. The data view is used to draw the channel lines.

To display this page, click on the button [image] in the Plotter toolbar and then choose the Data View category.

The Data View page contains the following tabs:

Tab | Description
General | Selecting the background color; showing and hiding grid lines.
Grid Lines | Configuration of the grid lines.

See also

Properties Dialog Box


General, Data View, Properties Dialog Box

Use this page of the Properties dialog box to configure the data view of the Plotter window.

To display this page, click on the button [image] in the Plotter toolbar, choose the Data View category and then the General tab.

Background

Transparent

If this option is activated, the background color of the data view is determined by the background color of the Plotter window.

Color

This field defines the background color of the data view, if the Transparent option is deactivated.

Grid

Visible

If this option is activated, grid lines are shown in the data view.

Y-Axis Name

This field specifies, for which channels horizontal grid lines shall be drawn.

See also

Properties Dialog Box

Grid Lines, Data View


Grid Lines, Data View, Properties Dialog Box

Use this page of the Properties dialog box to configure the grid lines in the data view of the Plotter window.

To display this page, click on the button [image] in the Plotter toolbar, choose the Data View category and then the Grid Lines tab.

Color

This field defines the color of the grid lines.

Major Style

Sets the style of the grid lines drawn for major ticks.

Minor Style

Sets style of the grid lines drawn for minor ticks.

Layer

This value sets the drawing layer of the grid lines. E.g. a line on layer 100 is drawn in front of a line that is on layer 80.

Borders

These options specify, which border lines are displayed for the data view.

X-Majors, X-Minors, Y-Majors, Y-Minors

For every major and minor ticks grid lines, individual settings can be configured for the X-axis and the Y-axis.

Visible

If this option is activated, the corresponding grid lines are shown.

Custom

If this option is activated, the settings in the following fields Color, Width, and Style are valid for the corresponding grid lines.

Color

This field sets the color of the corresponding grid lines, if the Custom option is activated.

Width

This value sets the width of the corresponding grid lines, if the Custom option is activated.

Style

Sets the style of the corresponding grid lines, if the Custom option is activated.

See also

Properties Dialog Box


Import Dialog Box

This dialog box is used to import data that was recorded before by the Tracer, which is the data recorder integrated in the PCAN-Explorer. Not only already stored Trace files can be accessed, but also data from open Trace windows. After selecting a Trace file and a signal to import, the signal data is shown in the current Plotter window as a curve.

To display the Import dialog box, select Import from the File menu (the Plotter window must be active).

Current Tracers

If Trace windows are open in the current PCAN-Explorer session, then they are displayed in this list with its file names and a brief description, if available. If a Trace file is selected, and the Import dialog box closed by pressing OK, the Select Signals dialog box is opened that shows all Signals found in the trace file.

Trace files in <Path>

This list displays all Trace files that are contained in the default directory for Trace files. If available, brief descriptions for each files are displayed. If a Trace file is selected, and the Import dialog box closed by pressing OK, a dialog box is opened that shows all Signals found in the trace file (see below).

Browse

Using this button, other Trace files can be selected for import, which are not contained in the Trace files list.

See also

Select Signals Dialog Box


Select Signals Dialog Box

This dialog box is displayed after a Trace file has been selected in the Import dialog box.

Use this dialog box to select which signals you want to import into the plotter.

Signals in Trace file

Lists all signals that were found in the selected Trace file. Each signal that you select creates a new channel in the current plotter, after pressing OK.

Create separate Y-Axes for imported signals

If this option is activated, a new Y-axis is added to the Plotter for each imported signal (behavior like in PCAN-Explorer 5).

If this option is not activated, all newly created channels will be assigned the first existing Y-axis.

Zoom X-Axis to fit imported data

If this option is activated, the X-axis is zoomed so that all imported data is visible at once.

Zoom Y-Axes to fit imported data

If this option is activated, the Y-axes are zoomed so that all imported data are visible at once.

See also

Import Dialog Box


Annotation Dialog Box

Use this dialog box to create and edit annotations, which can be inserted into the data view.

Text

Determines the text for the annotation.

Associate with

Chooses whether the annotation is associated with the data view or a specific channel.

If an annotation is associated with a channel, the annotation text is moved together with the channel's trace line and data points. If an annotation is associated with the data view, the text is anchored to a fixed position in the data view, independent of the positions of the x- and y-axes.

Style

Selects the annotation style. The following styles are available:

  • Text The annotation consists only of the text itself, only the text and its font can be chosen.

  • Text Box The text is drawn in a box, which in addition has a background and a frame.

Font

Sets the font and font color that is used to draw the annotation.

Text Box Style Properties

If the Text Box style is selected, additional settings can be changed here.

Fill Color

Determines the fill color of the text box background.

Frame Color

Determines the color of the frame line.

Frame Width

Determines the width of the frame line, in pixels.

Outer Margin

Determines the distance between the text and the frame, in pixels.

See also

Using Annotations


Value Converter Dialog Box

This dialog box can be used to convert date and time values into the date and time format used internally by Windows. In the Properties dialog box, all time and time span values are indicated in Windows internal time and date format.

The result of a conversion is shown in the bottom field of the dialog box. It is automatically updated when changing the input data. By clicking on OK, this result is entered into the field, by which the dialog box has been invoked.

This dialog box is opened via buttons on some tabs of the Properties dialog box.

Interval Tab

Converts time intervals. The parts of a time interval can reach from weeks down to milliseconds.

Set All To 0

All input fields on the tab are reset to 0.

Date/Time Tab

Converts time and date values. The input format is specified in your regional setting.

Now

The current date and time are entered into the input fields of the tab.


Plotter Object Model

Plotter Object Model

The Plotter object model allows the user to automate tasks by programming. The object model consists of a hierarchy of Plotter objects and the accompanying properties and methods.

This section treats all objects, collections, properties and methods in the Plotter object model.

In this section

Diagram of the Object Model

A graphical guide to all components of the Plotter object model.

Objects

Contains all objects of the Plotter object model.

Collections

Contains all collections of the Plotter object model.

Properties

Contains all properties of the objects and collections in the Plotter object model.

Methods

Contains all methods of the objects and collections in the Plotter object model.


Diagram of the Plotter Object Model

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. All rights reserved.


Objects

All objects of the Plotter are listed in the following.

Object | Description
Axis | Represents an X-axis or an Y-axis of the Plotter.
Channel | Represents a channel in the Plotter.
DataView | Represents the data view of the Plotter.
Legend | Represents the legend of the Plotter.
Plotter | Represents the Plotter window.
YAxis | Represents an Y-axis of the Plotter.

See also

Plotter Object Model

Diagram of the Object Model


Axis Object

Plotter Object Model | Reference

The Axis object represents an axis of the Plotter.

Plotter

XAxes

Axis

YAxes

Axis

The Axis object has the following properties:

Properties
Collection | Min
IsTitleVisible | Name
IsVisible | ScaleLinesColor
LabelsFontColor | Title
Max | TitleFontColor

The Axis object can be accessed e.g. by using the XAxes property of the Plotter object. This object has members (properties, methods, and events), that you can use to manipulate the axis.

In VBScript macros you access Axis members by automatically using late binding. In add-ins however you can also access these members by using early binding. Early binding offers better performance than late binding by making calls into the interface faster at run time.

Using a Dual Interface to Access this Object

This section about dual interfaces is useful for writing add-ins or automating PCAN-Explorer across processes. This section isn't applicable to writing VBScript macros.

The Axis object implements the dual interface IAxis. Through this interface add-ins can directly access the members (properties, methods and events) of this object and can employ early binding to make calls into these members faster at run time.

Add-ins and other clients that can use early binding can access members of the Axis collection by using the Plotter type library, which resides in the program module Plot.dll.

Note: In the C# or Visual Basic References dialog the names of the PCAN specific type libraries begin with "PCAN".

See also

Plotter Object Model

Diagram of the Object Model


Channel Object

Plotter Object Model | Reference

The Channel object represents a channel of the Plotter.

Plotter

Channels

Channel

The Channel object has the following properties and methods:

Properties
Color | Signal
Collection | Title
DataCount | Unit
IsVisible | YAxis
Name |
Methods
AddData | DataY
Clear | Remove
DataX |

The Channel object can be accessed by using the Channels property of the Plotter object. This object has members (properties, methods, and events), that you can use to manipulate the axis.

In VBScript macros you access Channel members by automatically using late binding. In add-ins however you can also access these members by using early binding. Early binding offers better performance than late binding by making calls into the interface faster at run time.

Using a Dual Interface to Access this Object

This section about dual interfaces is useful for writing add-ins or automating PCAN-Explorer across processes. This section isn't applicable to writing VBScript macros.

The Channel object implements the dual interface IChannel. Through this interface add-ins can directly access the members (properties, methods and events) of this object and can employ early binding to make calls into these members faster at run time.

Add-ins and other clients that can use early binding can access the members of the Channel object by using the Plotter type library, which resides in the program module Plot.dll.

Note: In the C# or Visual Basic References dialog the names of the PCAN specific type libraries begin with "PCAN".

See also

Plotter Object Model

Diagram of the Object Model


DataView Object

Plotter Object Model | Reference

The DataView object represents the data view of the Plotter.

Plotter

DataView

The DataView object has the following properties:

Properties
BackgroundColor | IsBackgroundTransparent
GridLineColor | Parent
GridLinesVisible |

The DataView object can be accessed by using the DataView property of the Plotter object. This object has members (properties, methods, and events), that you can use to manipulate the axis.

In VBScript macros you access DataView members by automatically using late binding. In add-ins however you can also access these members by using early binding. Early binding offers better performance than late binding by making calls into the interface faster at run time.

Using a Dual Interface to Access this Object

This section about dual interfaces is useful for writing add-ins or automating PCAN-Explorer across processes. This section isn't applicable to writing VBScript macros.

The DataView object implements the dual interface IDataView. Through this interface add-ins can directly access the members (properties, methods and events) of this object and can employ early binding to make calls into these members faster at run time.

Add-ins and other clients that can use early binding can access members of the DataView object by using the Plotter type library, which resides in the program module Plot.dll.

Note: In the C# or Visual Basic References dialog the names of the PCAN specific type libraries begin with "PCAN".

See also

Plotter Object Model

Diagram of the Object Model


Legend Object

Plotter Object Model | Reference

The Legend object represents the legend of the Plotter.

Plotter

Legend

The Legend object has the following properties:

Properties
BackgroundColor | Parent
ColumnTitlesFontColor | SelectedItemBackgroundColor
ColumnTitlesVisible | SelectedItemFontColor
IsBackgroundTransparent | VisibleColumns
IsVisible |

The Legend object can be accessed by using the Legend property of the Plotter object. This object has members (properties, methods, and events), that you can use to manipulate the axis.

In VBScript macros you access Legend members by automatically using late binding. In add-ins however you can also access these members by using early binding. Early binding offers better performance than late binding by making calls into the interface faster at run time.

Using a Dual Interface to Access this Object

This section about dual interfaces is useful for writing add-ins or automating PCAN-Explorer across processes. This section isn't applicable to writing VBScript macros.

The Legend object implements the dual interface ILegend. Through this interface add-ins can directly access the members (properties, methods and events) of this object and can employ early binding to make calls into these members faster at run time.

Add-ins and other clients that can use early binding can access members of the Legend object by using the Plotter type library, which resides in the program module Plot.dll.

Note: In the C# or Visual Basic References dialog the names of the PCAN specific type libraries begin with "PCAN".

See also

Plotter Object Model

Diagram of the Object Model


Plotter Object

Plotter Object Model | Reference

The object in the topmost plane of the Plotter object model.

The Plotter object has the following properties and methods:

Properties
BackgroundColor | Parent
Channels | Title
DataView | TitleFontColor
IsRunning | Version
IsTitleVisible | XAxes
Legend | YAxes
Methods
ClearAll | ExportToCSV
SaveImage | Stop
Start |

The Plotter object can be accessed by using the Object property of the corresponding Window object of PCAN-Explorer. This object has members (properties, methods, and events), that you can use to manipulate the axis.

In VBScript macros you access Plotter members by automatically using late binding. In add-ins however you can also access these members by using early binding. Early binding offers better performance than late binding by making calls into the interface faster at run time.

Using a Dual Interface to Access this Object

This section about dual interfaces is useful for writing add-ins or automating PCAN-Explorer across processes. This section isn't applicable to writing VBScript macros.

The Plotter object implements the dual interface IPlotter. Through this interface add-ins can directly access the members (properties, methods and events) of this object and can employ early binding to make calls into these members faster at run time.

Add-ins and other clients that can use early binding can access members of the Plotter object by using the Plotter type library, which resides in the program module Plot.dll.

Note: In the C# or Visual Basic References dialog the names of the PCAN specific type libraries begin with "PCAN".

See also

Plotter Object Model

Diagram of the Object Model


YAxis Object

Plotter Object Model | Reference

The YAxis object represents an Y-axis of the Plotter.

Plotter

YAxes

YAxis

The YAxis object has the following properties:

Properties
Collection | Min
IsTitleVisible | Name
IsVisible | ScaleLinesColor
LabelsFontColor | Title
Max | TitleFontColor

The YAxis object can be accessed by using the YAxes property of the Plotter object. This object has members (properties, methods, and events), that you can use to manipulate the axis.

In VBScript macros you access YAxis members by automatically using late binding. In add-ins however you can also access these members by using early binding. Early binding offers better performance than late binding by making calls into the interface faster at run time.

Using a Dual Interface to Access this Object

This section about dual interfaces is useful for writing add-ins or automating PCAN-Explorer across processes. This section isn't applicable to writing VBScript macros.

The YAxis object implements the dual interface IYAxis. Through this interface add-ins can directly access the members (properties, methods and events) of this object and can employ early binding to make calls into these members faster at run time.

Add-ins and other clients that can use early binding can access members of the YAxis object by using the Plotter type library, which resides in the program module Plot.dll.

Note: In the C# or Visual Basic References dialog the names of the PCAN specific type libraries begin with "PCAN".

See also

Plotter Object Model

Diagram of the Object Model


Collections

The term describes a collection of objects, which can be created and erased dynamically during runtime. For example, the Channels collection of the Plotter object contains all channels of the Plotter.

Following collections are available:

Collection | Description
Axes | Contains either the X-axes or the Y-axes of the Plotter. A collection of one or several Axis objects or YAxis objects.
Channels | Contains all channels of the Plotter. A collection of one or several Channel objects.

See also

Plotter Object Model

Diagram of the Object Model


Axes Collection

Plotter Object Model | Reference

Contains Axis objects or YAxis objects representing the Plotter's axes.

Plotter

XAxes

YAxes

The Axes collection has the following properties and methods:

Properties

Count

Parent
Methods

Item

The Axes collection contains Axis objects or YAxis objects. To find a special object, you can iterate through the collections by using the XAxes property or the YAxes property of the Plotter object. Take the following code part of a VBScript macro into account:

VBScript

Dim myAxis

For Each myAxis In plotter.YAxes

' Access to the Y-axis can be carried out here,

' for example:

MsgBox myAxis.Name

Next

In programming languages such as Visual C++ or Delphi you can iterate through the Axes collection by using the Item method or the _NewEnum property.

Using a Dual Interface to Access this Collection

This section about dual interfaces is useful for writing add-ins or automating PCAN-Explorer across processes. This section isn't applicable to writing VBScript macros.

The Axes collection implements the dual interface IAxes. Through this interface add-ins can directly access the members (properties, methods and events) of this object and can employ early binding to make calls into these members faster at run time.

Add-ins written e.g. with Microsoft Visual Basic or Embarcadero Delphi can access members of the Axes collection by using the Plotter type library, which resides in the program module Plot.dll.

Note: In the C# or Visual Basic References dialog the names of the PCAN specific type libraries begin with "PCAN".

See also

Plotter Object Model

Diagram of the Object Model


Channels Collection

Plotter Object Model | Reference

Contains all Channel objects representing the Plotter's channels.

Plotter

Channels

The Channels collection has the following properties and methods:

Properties

Count

Parent
Methods

Add

Item

The Channels collection contains all Channel objects. To find a special object, you can iterate through the collection by using the Channels property of the Plotter object. Take the following code part of a VBScript macro into account:

VBScript

Dim myChannel

For Each myChannel In plotter.Channels

' Access to the channel can be carried out here,

' for example:

MsgBox myChannel.Name

Next

In programming languages such as Visual C++ or Delphi you can iterate through the Channels collection by using the Item method or the _NewEnum property.

Using a Dual Interface to Access this Collection

This section about dual interfaces is useful for writing add-ins or automating PCAN-Explorer across processes. This section isn't applicable to writing VBScript macros.

The Channels collection implements the dual interface IChannels. Through this interface add-ins can directly access the members (properties, methods and events) of this object and can employ early binding to make calls into these members faster at run time.

Add-ins written e.g. with Microsoft Visual Basic or Embarcadero Delphi can access members of the Channels collection by using the Plotter type library, which resides in the program module Plot.dll.

Note: In the C# or Visual Basic References dialog the names of the PCAN specific type libraries begin with "PCAN".

See also

Plotter Object Model

Diagram of the Object Model


Properties

Properties are the objects' characteristics. For example, Channel objects have the Color property. This property corresponds to the color of the channel in the Plotter.

The following properties are available:

Property | Description
BackgroundColor | Sets or returns the background color of a visual Plotter element.
Channels | Returns a Channels collection.
Collection | Returns the collection containing the object supporting the property.
Color | Sets or returns the color of a channel.
ColumnTitlesFontColor | Sets or returns the font color of the column titles in the legend.
ColumnTitlesVisible | Sets or returns whether the column titles are visible in the legend.
Count | Returns the number of elements in a collection.
DataCount | Returns the number of data points stored in a channel.
DataView | Returns the DataView object representing the Plotter's data view.
GridLinesColor | Sets or returns the color of the grid lines in the data view.
GridLinesVisible | Sets or returns, whether the grid lines in the data view of the Plotter are shown.
IsBackgroundTransparent | Sets or returns, whether a visual element of the Plotter is transparent or if the element is filled with its background color.
IsRunning | Returns, whether the data recording of the Plotter has started.
IsTitleVisible | Sets or returns whether the title of an object is shown.
IsVisible | Sets or returns whether an element of the Plotter is visible.
LabelsFontColor | Sets or returns the color of the scale labels of an axis.
Legend | Returns the Legend object representing the Plotter's legend.
Max | Sets or returns the upper limit of the range of values of an axis.
Min | Sets or returns the lower limit of the range of values of an axis.
Name | Sets or returns the name of an object.
Parent | Returns the immediate parent to the object or collection.
ScaleLinesColor | Sets or returns the color of the scale lines of an axis.
SelectedItemBackgroundColor | Sets or returns the background color of selected items in the legend.
SelectedItemFontColor | Sets or returns the font color of selected items in the legend.
Signal | Sets or returns the signal represented by a channel.
Title | Sets or returns the title of an object.
TitleFontColor | Sets or returns the font color of the Plotter's title bar or the color of an axis label.
Unit | Sets or returns the physical unit of a channel.
Version | Returns the version number of the Plotter.
VisibleColumns | Sets or returns the columns that are shown in the legend.
XAxes | Returns an Axes collection containing all X-axes of the Plotter.
YAxes | Returns an Axes collection containing all Y-axes of the Plotter.
YAxis | Sets or returns the YAxis object associated with a channel.

See also

Plotter Object Model | Diagram of the Object Model


BackgroundColor Property

Plotter Object Model | Reference

Applicable to: DataView object, Legend object, Plotter object

Sets or returns the background color of a visual Plotter element.

Syntax

object.BackgroundColor [=Value]

Parameters

object

An expression that evaluates to a DataView object, a Legend object, or a Plotter object.

Value

An OLE_COLOR value defining the new background color of the element. In VBScript, for example, the predefined color constants can be used, such as vbBlack, vbRed, vbGreen.

Property value

The BackgroundColor property has the OLE_COLOR type.

Example

The following example changes the background color of the Plotter to blue:

VBScript

Sub BackgroundColorExample()

Dim doc, plotter

Set doc = Documents.Add(peDocumentKindPlotter)

Set plotter = doc.ActiveWindow.Object

plotter.BackgroundColor = vbBlue

End Sub


Channels Property

Plotter Object Model | Reference

Applicable to: Plotter object

Returns a Channels collection.

Syntax

object.Channels

Parameter

object

An expression that evaluates to a Plotter object.

Property value

A Channels collection. The Channels collection represents the collection of all channels in the Plotter. Each channel in the collection is represented by a Channel object.

Example

The following example accesses the Channels collection:

VBScript

Sub ChannelsExample()

' Before execution, make sure a Plotter window has the focus

Dim plotter

Set plotter = ActiveWindow.Object

MsgBox plotter.Channels.Count

End Sub


Collection Property

Plotter Object Model | Reference

Applicable to: Axis object, Channel object, YAxis object

Returns the collection containing the object supporting this property.

Syntax

object.Collection

Parameter

object

An expression that evaluates to one of the objects mentioned above.

Property value

The Collection property returns a collection, the type of which is dependent on the object.

Example

The following example prints all channels of a Channels collection to the Output window:

VBScript

Sub CollectionExample()

' Before execution, make sure a Plotter window has the focus

Dim plotter, myChannel, channel

Set plotter = ActiveWindow.Object

Set myChannel = plotter.Channels.Add

For Each channel In myChannel.Collection

PrintToOutputWindow channel.Title

Next

End Sub


Color Property

Plotter Object Model | Reference

Applicable to: Channel object

Sets or returns the color of the channel.

Syntax

object.Color [=Value]

Parameters

object

An expression that evaluates to a Channel object.

Value

An OLE_COLOR value defining the new color of the channel. In VBScript, for example, the predefined color constants can be used, such as vbBlack, vbRed, vbGreen.

Property value

An OLE_COLOR value that represents an RGB value.

Example

The following example changes the color of the first channel to green:

VBScript

Sub ColorExample()

Dim doc, plotter

Set doc = Documents.Add(peDocumentKindPlotter)

Set plotter = doc.ActiveWindow.Object

plotter.Channels(1).Color = vbGreen

End Sub


ColumnTitlesFontColor Property

Plotter Object Model | Reference

Applicable to: Legend object

Sets or returns the font color of the column titles in the legend.

Syntax

object.ColumnTitlesFontColor [=Value]

Parameters

object

An expression that evaluates to a Legend object.

Value

An OLE_COLOR value defining the color of the font. In VBScript, for example, the predefined color constants can be used, such as vbBlack, vbRed, vbGreen.

Property value

An OLE_COLOR value that represents an RGB value.

Example

The following example changes the font color of the column titles in the legend to White:

VBScript

Sub ColumnTitlesFontColorExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.Legend.ColumnTitlesFontColor = vbWhite

End Sub


ColumnTitlesVisible Property

Plotter Object Model | Reference

Applicable to: Legend object

Sets or returns whether the column titles are visible in the legend.

Syntax

object.ColumnTitlesVisible [=boolean]

Parameters

object

An expression that evaluates to a Legend object.

boolean

A Boolean that sets the visibility of the column titles.

Property value

A Boolean value that specifies the visibility of the column titles. If True, the column titles are visible. If False, the column titles are hidden.

Example

The following example toggles the visibility of the column titles in the legend:

VBScript

Sub ColumnTitlesVisibleExample()

' Before execution, make sure a Plotter window is open

Dim win, legend

Set win = Windows(peDocumentKindPlotter)

Set legend = win.Object.Legend

legend.ColumnTitlesVisible = Not legend.ColumnTitlesVisible

End Sub


Count Property

Plotter Object Model | Reference

Applicable to: Axes collection, Channels collection

Returns the number of elements in a collection.

Syntax

object.Count

Parameter

object

An expression that evaluates to an Axes collection or a Channels collection.

Property value

A Long value that indicates the number of elements in the collection..

Example

The following example prints the titles of all channels to the Output window:

VBScript

Sub CountExample()

' Before execution, make sure a Plotter window has the focus

Set plotter = ActiveWindow.Object

For i = 1 To plotter.Channels.Count

PrintToOutputWindow plotter.Channels(i).Title

Next

End Sub


DataCount Property

Plotter Object Model | Reference

Applicable to: Channel object

Returns the number of data points stored in a channel.

Syntax

object.DataCount

Parameter

object

An expression that evaluates to a Channel object.

Property value

A Long value indicating the number of data points stored in the channel.

Example

The following example shows the number of data point of the first channel:

VBScript

Sub DataCountExample()

' Before execution, make sure a Plotter window has the focus

Set plotter = ActiveWindow.Object

MsgBox plotter.Channels(1).DataCount

End Sub


DataView Property

Plotter Object Model | Reference

Applicable to: Plotter object

Returns the DataView object representing the Plotter's data view.

Syntax

object.DataView

Parameter

object

An expression that evaluates to a Plotter object.

Property value

A DataView object.

Example

The following example accesses the DataView object of the Plotter:

VBScript

Sub DataViewExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.DataView.GridLinesVisible = False

End Sub


GridLinesColor Property

Plotter Object Model | Reference

Applicable to: DataView object

Sets or returns the color of the grid lines in the data view.

Syntax

object.GridLinesColor [=Value]

Parameters

object

An expression that evaluates to a DataView object.

Value

An OLE_COLOR value defining the new color of the grid lines. In VBScript, for example, the predefined color constants can be used, such as vbBlack, vbRed, vbGreen.

Property value

An OLE_COLOR value that represents an RGB value.

Example

The following example changes the color of the grid lines to red:

VBScript

Sub GridLinesColorExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.DataView.GridLinesColor = vbRed

End Sub


GridLinesVisible Property

Plotter Object Model | Reference

Applicable to: DataView object

Sets or returns, whether the grid lines in the data view of the Plotter are shown.

Syntax

object.GridLinesVisible [=boolean]

Parameter

object

An expression that evaluates to a DataView object.

boolean

A Boolean that sets the visibility of the grid lines.

Property value

A Boolean value that specifies the visibility of the grid lines. If True, the grid lines are visible. If False, the grid lines are hidden.

Example

The following example hides the grid lines of the data view:

VBScript

Sub GridLinesVisibleExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.DataView.GridLinesVisible = False

End Sub


IsBackgroundTransparent Property

Plotter Object Model | Reference

Applicable to: DataView object, Legend object

Sets or returns, whether a visual element of the Plotter is transparent or if the element is filled with its background color.

Syntax

object.IsBackgroundTransparent [=boolean]

Parameters

object

An expression that evaluates to a DataView object or a Legend object.

boolean

A Boolean that sets the transparency of the element.

Property value

A Boolean value that specifies the transparency of the element. If True, the element is transparent. If False, the element is filled with the color that is specified in its BackgroundColor property.

Example

The following example fills the data view with the color green:

VBScript

Sub IsBackgroundTransparentExample()

Dim doc, plotter

Set doc = Documents.Add(peDocumentKindPlotter)

Set plotter = doc.ActiveWindow.Object

plotter.DataView.BackgroundColor = vbGreen

plotter.DataView.IsBackgroundTransparent = False

End Sub

See also

BackgroundColor Property


IsRunning Property

Plotter Object Model | Reference

Applicable to: Plotter object

Returns, whether the data recording of the Plotter is started.

Syntax

object.IsRunning

Parameter

object

An expression that evaluates to a Plotter object.

Property value

A Boolean value that indicates whether the data recording of the Plotter is started. If True, the data recording is started. If False, the data recording is stopped.

Example

The following example generates a sine signal and shows it in the Plotter till the Plotter is stopped:

VBScript

Sub IsRunningExample()

Dim doc, plotter, sig, x

Set doc = Documents.Add(peDocumentKindPlotter)

Set plotter = doc.ActiveWindow.Object

Set sig = Signals("Sine")

If sig Is Nothing Then

Set sig = Signals.Add("Sine")

End If

sig.Max = 50

sig.Min = -50

Set plotter.Channels(1).Signal = sig

x = 0

plotter.Start

While plotter.IsRunning

x = x + .05

sig.Value = Sin(x) * 50

Wait 40

Wend

MsgBox "Plotter stopped"

End Sub

See also

BackgroundColor Property


IsTitleVisible Property

Plotter Object Model | Reference

Applicable to: Axis object, Plotter object, YAxis object

Sets or returns whether the title of an object is shown.

Syntax

object.IsTitleVisible [=boolean]

Parameters

object

An expression that evaluates to one of the objects mentioned above.

boolean

A Boolean that sets the visibility of the title.

Property value

A Boolean value that specifies the visibility of the title. If True, the title is visible. If False, the title is hidden.

Example

The following example hides the title in a newly created Plotter window:

VBScript

Sub IsTitleVisibleExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.IsTitleVisible = False

End Sub

See also

Title Property


IsVisible Property

Plotter Object Model | Reference

Applicable to: Axis object, Channel object, Legend object, YAxis object

Sets or returns whether an element of the Plotter is visible.

Syntax

object.IsVisible [=boolean]

Parameter

object

An expression that evaluates to one of the objects in the Applicable To list above.

boolean

A Boolean that sets the visibility of the element.

Remarks

A Boolean value that specifies the visibility of the element. If True, the element is visible. If False, the element is hidden.

Example

The following example hides the first channel of a Plotter:

VBScript

Sub IsVisibleExample()

' Before starting, make sure a Plotter window has the focus

Dim plotter

Set plotter = ActiveWindow.Object

plotter.Channels(1).IsVisible = False

End Sub


LabelsFontColor Property

Plotter Object Model | Reference

Applicable to: Axis object, YAxis object

Sets or returns the color of the scale labels of an axis.

Syntax

object.LabelsFontColor [=Value]

Parameters

object

An expression that evaluates to an Axis object or a YAxis object.

Value

An OLE_COLOR value defining the color of the scale labels. In VBScript, for example, the predefined color constants can be used, such as vbBlack, vbRed, vbGreen.

Property value

An OLE_COLOR value that represents an RGB value.

Example

The following example changes the color of scale labels of the X-axis to red:

VBScript

Sub LabelsFontColorExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.XAxes(1).LabelsFontColor = vbRed

End Sub


Legend Property

Plotter Object Model | Reference

Applicable to: Plotter object

Returns the Legend object representing the Plotter's legend.

Syntax

object.Legend

Parameter

object

An expression that evaluates to a Plotter object.

Property value

A Legend object.

Example

The following example accesses the Legend object of the Plotter and changes the columns visible in the legend:

VBScript

Sub LegendExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.Legend.VisibleColumns = "Line, YValue, Unit"

End Sub


Max Property

Plotter Object Model | Reference

Applicable to: Axis object, YAxis object

Sets or returns the upper limit of the range of values of an axis.

Syntax

object.Max [=Value]

Parameters

object

An expression that evaluates to an Axis object or a YAxis object.

Value

A Double value defining the new upper limit of the range of values.

Property value

A Double value specifying the upper limit of the value range.

Example

The following example sets the upper limit of the first Y-axis to the value 50:

VBScript

Sub MaxExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.YAxes(1).Max = 50

End Sub

See also

Min Property


Min Property

Plotter Object Model | Reference

Applicable to: Axis object, YAxis object

Sets or returns the lower limit of the range of values of an axis.

Syntax

object.Min [=Value]

Parameters

object

An expression that evaluates to an Axis object or a YAxis object.

Value

A Double value defining the new lower limit of the range of values.

Propety value

A Double value specifying the lower limit of the value range.

Example

The following example sets the lower limit of the first Y-axis to the value -20:

VBScript

Sub MinExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.YAxes(1).Min = -20

End Sub

See also

Max Property


Name Property

Plotter Object Model | Reference

Applicable to: Axis object, YAxis object, Channel object

Sets or returns the name of an object.

Syntax

object.Name [=Value]

Parameters

object

An expression that evaluates to one of the objects in the Applicable To list above.

Value

A String defining the new name of the object.

Property value

A String value that specifies the name of the object.

Example

The following example sets the name for the first channel:

VBScript

Sub NameExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.Channels(1).Name = "My Channel"

End Sub


Parent Property

Plotter Object Model | Reference

Applicable to: Axes collection, Channels collection, DataView object, Legend object, Plotter object

Returns the immediate parent to the object or collection.

Syntax

object.Parent

Parameter

object

An expression that evaluates to one of the objects in the Applicable To list above.

Property value

Returns the immediate parent to an object or a collection. If you want to get the collection that contains the object, then use the Collection property.

The type of the Parent property depends on the object you access the property from (see table below).

The following table shows the parent of each object:

Object | Parent Object
Axes | Plotter
Channels | Plotter
DataView | Plotter
Legend | Plotter
Plotter | Window (PCAN-Explorer object)
Example

The following example accesses the parent object of a Plotter:

VBScript

Sub ParentExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

MsgBox plotter.Parent.Caption

End Sub


ScaleLinesColor Property

Plotter Object Model | Reference

Applicable to: Axis object, YAxis object

Sets or returns the color of the scale lines of an axis.

Syntax

object.ScaleLinesColor [=Value]

Parameters

object

An expression that evaluates to an Axis object or a YAxis object.

Value

An OLE_COLOR value defining the new color of the scale lines. In VBScript, for example, the predefined color constants can be used, such as vbBlack, vbRed, vbGreen.

Property value

An OLE_COLOR value that represents an RGB value.

Example

The following example changes the color of scale lines of the X-axis to red:

VBScript

Sub ScaleLinesColorExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.XAxes(1).ScaleLinesColor = vbRed

End Sub


SelectedItemBackgroundColor Property

Plotter Object Model | Reference

Applicable to: Legend object

Sets or returns the background color of selected items in the legend.

Syntax

object.SelectedItemBackgroundColor [=Value]

Parameters

object

An expression that evaluates to a Legend object.

Value

An OLE_COLOR value defining the new background color of a selected item. In VBScript, for example, the predefined color constants can be used, such as vbBlack, vbRed, vbGreen.

Property value

An OLE_COLOR value that represents an RGB value.

Example

The following example changes the color of a selected legend item:

VBScript

Sub SelectedItemColorExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.Legend.SelectedItemBackgroundColor = vbRed

plotter.Legend.SelectedItemFontColor = vbWhite

End Sub

See also

SelectedItemFontColor Property


SelectedItemFontColor Property

Plotter Object Model | Reference

Applicable to: Legend object

Sets or returns the font color of selected items in the legend.

Syntax

object.SelectedItemFontColor [=Value]

Parameters

object

An expression that evaluates to a Legend object.

Value

An OLE_COLOR value defining the new font color of a selected item. In VBScript, for example, the predefined color constants can be used, such as vbBlack, vbRed, vbGreen.

Property value

An OLE_COLOR value that represents an RGB value.

Example

The following example changes the color of a selected legend item:

VBScript

Sub SelectedItemColorExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.Legend.SelectedItemBackgroundColor = vbRed

plotter.Legend.SelectedItemFontColor = vbWhite

End Sub

See also

SelectedItemBackgroundColor Property


Signal Property

Plotter Object Model | Reference

Applicable to: Channel object

Sets or returns the signal represented by a channel.

Syntax

object.Signal [=Signal]

Parameters

object

An expression that evaluates to a Channel object.

Signal

A PCAN-Explorer Signal object that is to be displayed by the channel.

Property value

A PCAN-Explorer Signal object.

Example

The following example sets the signal for the first channel:

VBScript

Sub SignalExample()

Dim doc, plotter

Set doc = Documents.Open("$(DefSymDir)\Sample.sym")

ExecuteCommand "FileApply"

Set doc = Documents.Add(peDocumentKindPlotter)

Set plotter = doc.ActiveWindow.Object

Set plotter.Channels(1).Signal = Signals("Speed")

End Sub


Title Property

Plotter Object Model | Reference

Applicable to: Axis object, Channel object, Plotter object, YAxis object

Sets or returns the title of an object.

Syntax

object.Title [=Value]

Parameters

object

An expression that evaluates to one of the objects mentioned above.

Value

A String representing the new title of the object.

Property value

A String value representing the title of the object.

Example

The following example changes the title bar of the Plotter:

VBScript

Sub TitleExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.Title = "Example"

End Sub

See also

IsTitleVisible Property

TitleFontColor Property


TitleFontColor Property

Plotter Object Model | Reference

Applicable to: Axis object, Plotter object, YAxis object

Sets or returns the font color of the Plotter's title bar or the color of an axis label.

Syntax

object.TitleFontColor [=Value]

Parameters

object

An expression that evaluates to one of the objects in the Applicable To list above.

Value

An OLE_COLOR value defining the color of the font. In VBScript, for example, the predefined color constants can be used, such as vbBlack, vbRed, vbGreen.

Property value

An OLE_COLOR value that represents an RGB value.

Example

The following example changes the font color of the title bar of the Plotter to green:

VBScript

Sub TitleFontColorExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.TitleFontColor = vbGreen

End Sub


Unit Property

Plotter Object Model | Reference

Applicable to: Channel object

Sets or returns the physical unit of a channel.

Syntax

object.Unit [=Value]

Parameters

object

An expression that evaluates to a Channel object.

Value

A String representing the new physical unit of the channel.

Property value

A String value representing the physical unit of the channel.

Example

The following example sets the unit of the first channel:

VBScript

Sub ChannelUnitExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.Channels(1).Unit = "TheUnit"

End Sub


Version Property

Plotter Object Model | Reference

Applicable to: Plotter object

Returns the version number of the Plotter.

Syntax

object.Version

Parameter

object

An expression that evaluates to a Plotter object.

Property value

A String value representing the version number of the Plotter, e.g. "6.4.0".

Example

The following example shows the version of the Plotter in a dialog box:

VBScript

Sub VersionExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

MsgBox plotter.Version

End Sub


VisibleColumns Property

Plotter Object Model | Reference

Applicable to: Legend object

Sets or returns the columns that are shown in the legend.

Syntax

object.VisibleColumns [=Value]

Parameters

object

An expression that evaluates to a Legend object.

Value

A String that identifies the columns to be shown in the legend.

Property Value

A comma-separated String value representing the columns that are shown in the legend.

The Name column is always shown, its visibility cannot be controlled with this property.

Each column that is visible in the legend is identified with a keyword. The following table lists the available keywords and their associated columns:

Identifier | Column | Description
Line | Line | Shows the line style and line color of the channel.
Marker | Marker | Shows an example of the data points of the channel.
YAxisTitle | Y-Axis Title | Shows the title of the Y-axis used by this channel.
XValue | X-Value | Shows the current X-value of the channel.
YValue | Y-Value | Shows the current Y-value of the channel.
YMax | Y-Max | Shows the current maximum Y-value of the channel.
YMin | Y-Min | Shows the current minimum Y-value of the channel.
YMean | Y-Mean | Shows the current Y-mean of the channel.
Unit | Unit | Shows the physical unit of the channel.
Example

The following example changes the visible columns of the legend:

VBScript

Sub VisibleColumnsExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

plotter.Legend.VisibleColumns = "Line,YValue,Unit"

End Sub


XAxes Property

Plotter Object Model | Reference

Applicable to: Plotter object

Returns an Axes collection containing all X-axes of the Plotter.

Syntax

object.XAxes

Parameter

object

An expression that evaluates to a Plotter object.

Property value

An Axes collection. The Axes collection returned by the XAxes property represents the collection of all X-axes in the Plotter. Each X-axis in the collection is represented by an Axis object.

At this time, the Plotter only supports one X-axis, i.e. the Count property of the Axes collection always returns 1.

Example

The following example accesses the XAxes property:

VBScript

Sub XAxesExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

MsgBox plotter.XAxes.Count

End Sub


YAxes Property

Plotter Object Model | Reference

Applicable to: Plotter object

Returns an Axes collection containing all Y-axes of the Plotter.

Syntax

object.YAxes

Parameter

object

An expression that evaluates to a Plotter object.

Property value

An Axes collection. The Axes collection returned by the YAxes property represents the collection of all Y-axes in the Plotter. Each Y-axis in the collection is represented by an YAxis object.

Example

The following example accesses the YAxes property:

VBScript

Sub YAxesExample()

Dim plotter

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

MsgBox plotter.YAxes.Count

End Sub


YAxis Property

Plotter Object Model | Reference

Applicable to: Channel object

Sets or returns the YAxis object associated with the channel.

Syntax

object.YAxis [=Value]

Parameter

object

An expression that evaluates to a Channel object.

Value

A YAxis object.

Property value

A YAxis object.

Example

The following example changes the title of the Y-axis of the first channel:

VBScript

Sub YAxisExample()

Dim plotter, axis

Set plotter = Documents.Add(peDocumentKindPlotter).ActiveWindow.Object

Set axis = plotter.Channels(1).YAxis

axis.Title = "Y-Axis"

End Sub


Methods

Methods represent actions which one can use on objects. One can for example use the Add method of the Channels object to add a new channel to the plotter.

The following methods are available:

Method | Description
Add | Adds a new channel or Y-axis to the Plotter.
AddData | Adds a new data point to a channel.
Clear | Clears all recorded data of a channel.
ClearAll | Clears the recorded data of all channels.
DataX | Returns the time of a specific data point.
DataY | Returns the Y-value of a specific data point.
ExportToCSV | Exports recorded data to a CSV file.
Item | Queries an object of a collection.
Remove | Removes a channel.
SaveImage | Saves the current image of the plotter to a file.
Start | Starts the recording of data.
Stop | Stops the recording of data.

See also

Plotter Object Model

Diagram of the Object Model


Add Method

Plotter Object Model | Reference

Applicable to: Axes collection, Channels collection

Adds a new object to a collection.

Syntax

object.Add ( name )

Parameters

object

An expression that evaluates to an Axes collection or Channels collection.

name

(Optional) A String representing the name of the new object.

Return values

The Add method returns the newly created Channel object or YAxis object.

Example

The following example adds a new channel and a new y-axis to the Plotter:

VBScript

Sub AddChannelExample()

Dim doc, plotter, myChannel, myYAxis

Set doc = Documents.Add(peDocumentKindPlotter)

Set plotter = ActiveWindow.Object

Set myYAxis = plotter.YAxes.Add

myYAxis.Max = 50

Set myChannel = plotter.Channels.Add

Set myChannel.YAxis = myYAxis

' Insert code for use of the new channel here

End Sub


AddData Method

Plotter Object Model | Reference

Applicable to: Channel object

Adds a new data point to a channel.

Syntax

object.AddData ( X, Y )

Parameters

object

An expression that evaluates to a Channel object.

X

The X coordinate (type Double) of the new data point. The integer part specifies the number of days since 12/30/1899. The fractional part of the value specifies the fraction of a 24 hour day that has elapsed.

Y

The Y coordinate (type Double) of the new data point.

Example

The following example adds a new data point to the first channel of a plotter:

VBScript

Sub AddDataExample()

Dim doc, plotter

Set doc = Documents.Add(peDocumentKindPlotter)

Set plotter = ActiveWindow.Object

plotter.Channels(1).AddData Now, 10

End Sub


Clear Method

Plotter Object Model | Reference

Applicable to: Channel object

Clears all recorded data of a channel.

Syntax

object.Clear

Parameter

object

An expression that evaluates to a Channel object.

Example

The following example clears all data of the first channel:

VBScript

Sub ClearExample()

' Before starting, make sure a Plotter window has the focus

Dim plotter

Set plotter = ActiveWindow.Object

plotter.Channels(1).Clear

End Sub


ClearAll Method

Plotter Object Model | Reference

Applicable to: Plotter object

Clears the recorded data of all channels.

Syntax

object.ClearAll

Parameter

object

An expression that evaluates to a Plotter object.

Example

The following example clears all recorded data of a Plotter:

VBScript

Sub ClearAllExample()

' Before starting, make sure a Plotter window has the focus

Dim plotter

Set plotter = ActiveWindow.Object

plotter.ClearAll

End Sub


DataX Method

Plotter Object Model | Reference

Applicable to: Channel object

Returns the time of a specific data point.

Syntax

object.DataX ( Index )

Parameters

object

An expression that evaluates to a Channel object.

Index

A Long value that specifies the index of the data point to be retrieved.

Return values

The DataX method returns a value of the type Double, representing the X-value of the data point. The integer part contains the number of days since 12/30/1899. The fractional part of the number indicates the fraction of a 24 hour day that has elapsed.

Example

The following example retrieves the X-value of the first data point and shows its date and time:

VBScript

Sub DataXExample()

' Before starting, make sure a Plotter window

' with recorded data has the focus

Dim plotter, X

Set plotter = ActiveWindow.Object

X = plotter.Channels(1).DataX(1)

MsgBox FormatDateTime(X)

End Sub

See also

DataY Method


DataY Method

Plotter Object Model | Reference

Applicable to: Channel object

Returns the Y-value of a specific data point.

Syntax

object.DataY ( Index )

Parameters

object

An expression that evaluates to a Channel object.

Index

A Long value that specifies the index of the data point to be retrieved.

Return values

The DataY method returns a value of the type Double, representing the Y-value of the data point.

Example

The following example retrieves the Y-value of the first data point and shows it in a dialog box:

VBScript

Sub DataYExample()

' Before starting, make sure a Plotter window with

' recorded data has the focus

Dim plotter, Y

Set plotter = ActiveWindow.Object

Y = plotter.Channels(1).DataY(1)

MsgBox Y

End Sub

See also

DataX Method


ExportToCSV Method

Plotter Object Model | Reference

Applicable to: Plotter object

Exports recorded data to a CSV file.

Syntax

object.ExportToCSV ( FileName, DecimalSeparator, ColumnSeparator, TimeColumn, QualifiedSignalNames )

Parameters

object

An expression that evaluates to a Plotter object.

FileName

A String that specifies the file name including the path in which the image is to be saved. You can include Argument Macro syntax to specify default folder locations.

DecimalSeparator

A String containing a single character that specifies the decimal separator that is used for the values in the CSV file. If the string is left empty, the decimal separator is determined by the Decimal Separator option in the Properties dialog box, on the Export page.

ColumnSeparator

A String containing a single character that specifies the character that is used to separate the individual columns in the CSV file. If the string is left empty, the separator character is determined by the Column Separator option in the Properties dialog box, on the Export page.

TimeColumn

A value of the PltCSVExportTimeColumn enum that specifies how timestamps of signals are stored in the file:

  • pltTimeColumnDefault (0): The timestamp column layout is determined by the Time Column option in the Properties dialog box, on the Export page.

  • pltTimeColumnIndividual (1): Individual Columns for each Channel: Each channel gets two columns in the file, which contain the value pairs of timestamp and signal value.

  • pltTimeColumnCommon (2): Common column for all Channels: The first column in the file is a common time column. The other columns contain only the values of signals at the respective time.

Timestamps are stored as floating point values. The integral part of such a value is the number of days that have passed since December 30, 1899. The fractional part is the fraction of a 24-hour day that has elapsed. Microsoft Excel can natively understand these values by formatting a cell containing the value as Date or Time, or a combination of both.

QualifiedSignalNames

A Boolean that specifies whether signal names are stored in their fully qualified form into the column headings of the CSV file. For more information, see the Qualified Signal Names option in the Properties dialog box, on the Export page.

Remarks

Depending on the number of data points stored in the plotter, this operation can take quite a while. The function returns only when the export operation is completely finished. Do not close the plotter window in the user interface while the export operation takes place.

Example

The following example exports the data of a plotter to a CSV file:

VBScript

Sub ExportToCSVExample()

Dim doc, plotter

Set doc = Documents.Open("MyPlot.plt")

Set plotter = doc.ActiveWindow.Object

plotter.ExportToCSV "$(Desktop)\MyPlotData.csv", ".", ",", _

pltTimeColumnIndividual, True

End Sub

See also

SaveImage Method


Item Method

Plotter Object Model | Reference

Applicable to: Axes collection, Channels collection

Queries an object of a collection.

Syntax

object.Item ( Index )

Parameters

object

An expression that evaluates to one of the objects mentioned above.

Index

A Variant, being either a Long value or a String, which represents the corresponding object.

  • If a Long value is indicated, the Item method returns the object via its one-based index in the collection.

  • If a String is indicated, the Item method returns the object via its name, as it is defined in its Name property.

Remarks

If numerical values are given for index, these shouldn't be saved for further use, since the objects' indices can change, when objects are removed from or new ones are added to the collection.

The Item method is the default method of a collection. Therefore the Item method doesn't need to be indicated explicitly, as shown in the following example.

Example

The following example shows the names of all channels of a Plotter in the Output window:

VBScript

Sub ItemExample()

' Before starting, make sure a Plotter window has the focus

Dim plotter, i, channel

Set plotter = ActiveWindow.Object

For i = 1 To plotter.Channels.Count

Set channel = plotter.Channels(i)

PrintToOutputWindow channel.Name

Next

End Sub


Remove Method

Plotter Object Model | Reference

Applicable to: Channel object

Removes a channel.

Syntax

object.Remove

Parameter

object

An expression that evaluates to a Channel object.

Example

The following example removes the first channel of a Plotter:

VBScript

Sub RemoveExample()

' Before starting, make sure a Plotter window has the focus

Dim plotter

Set plotter = ActiveWindow.Object

plotter.Channels(1).Remove

End Sub


SaveImage Method

Plotter Object Model | Reference

Applicable to: Plotter object

Saves the current image of the plotter to a file.

Syntax

object.SaveImage ( FileName, ImageType )

Parameters

object

An expression that evaluates to a Plotter object.

FileName

A String that specifies the file name including the path in which the image is to be saved. You can include Argument Macro syntax to specify default folder locations.

ImageType

A value of the PltImageType enum that determines the type of image to be created. Possible values are:

  • pltImageTypeBMP (1): Creates a bitmap file (*.bmp). The bitmap is a pixel-based representation of the plotter.

  • pltImageTypeEMF (2): Creates an enhanced metafile (*.emf). The enhanced metafile format is a static, vector-based representation of the plotter.

  • pltImageTypeJPG (3): Creates a JPEG bitmap file (*.jpg). The JPEG is a lossy-compressed, pixel-based representation of the plotter.

  • pltImageTypePNG (4): Creates a PNG bitmap file (*.png). The PNG is a lossless-compressed, pixel-based representation of the plotter.

Example

The following example saves the current image of the plotter to a PNG file:

VBScript

Sub SaveImageExample()

Dim doc, plotter

Set doc = Documents.Open("MyPlot.plt")

Set plotter = doc.ActiveWindow.Object

plotter.SaveImage "$(Desktop)\MyPlotImage.png", pltImageTypePNG

End Sub

See also

ExportToCSV Method


Start Method

Plotter Object Model | Reference

Applicable to: Plotter object

Starts the recording of data.

Syntax

object.Start

Parameter

object

An expression that evaluates to a Plotter object.

Example

The following example starts the recording of data of the signal "Speed":

VBScript

Sub StartExample()

Dim doc, plotter, myChannel

Set doc = Documents.Open("$(DefSymDir)\Sample.sym")

ExecuteCommand "FileApply"

Set doc = Documents.Add(peDocumentKindPlotter)

Set plotter = ActiveWindow.Object

Set plotter.Channels(1).Signal = Signals("Speed")

plotter.Start

End Sub

See also

Stop Method


Stop Method

Plotter Object Model | Reference

Applicable to: Plotter object

Stops the recording of data.

Syntax

object.Stop

Parameter

object

An expression that evaluates to a Plotter object.

Example

The following example stops the recording of data:

VBScript

Sub StopExample()

' Before starting, make sure a Plotter window has the focus

Dim plotter

Set plotter = ActiveWindow.Object

plotter.Stop

End Sub

See also

Start Method


Frequently Asked Questions (FAQ)

On this page you find answers to questions that could arise while working with the Plotter.

Zoom and Tracking

The zooming factor jumps back to the previous setting after I've zoomed an axis with the mouse and afterwards resume the Axis Tracking. How can I avoid this?

This happens if the Restore Values On Resume option is activated for an axis. If required, deactivate this option in the Properties dialog box (context menu, Properties command) on the X-Axis or Y-Axes tabs.

As an alternative, you can select the Update Resume Values command in the context menu of an axis, to take over your current axis settings. If the Axis Tracking is then resumed, these settings will be kept for the axis.

Y-Scales and Mouse

The scale of a Y-Axis cannot be selected, and not moved or zoomed with the mouse or keyboard.

Controlling of Y-Axes with the mouse or keyboard can be disabled. To enable or disable keyboard and mouse control for an axis, open the Properties Dialog box (axis context menu, Properties command), select the General tab, and set the Enabled option.

Data View and Mouse

The Data View cannot be scrolled or zoomed with the mouse.

The Select mode is probably activated. In the Select mode, objects can be selected and manipulated with the mouse in the data view, e.g. Limits. The Select mode can be activated and deactivated in the Plotter toolbar with the Select tool [image].


About

Plotter HTML Help

for Plotter Add-in Version 6.0

Last Update: 2022-03-09 11:06:54

© 2016 PEAK-System Technik GmbH, Darmstadt, Germany

All rights reserved.


Axis Tracking

If Axis Tracking is enabled during a recording, all axes are adjusted to new tracking data from the channels, depending on the Tracking Style set for each axis.

See Properties dialog, X-Axis Tracking and Y-Axes Tracking settings.


Data View


Internal Date and Time Format

Date and time are handled internally as a floating point value. The integral part of the value is the number of days that have passed since December 30, 1899. The fractional part is fraction of a 24 hour day that has elapsed.


Scale Handling Mode

Both the X-scale and the Y-scales can be either moved or zoomed directly by dragging with the mouse. The scale handling mode determines the corresponding action.


X-Axis

The X-axis always represents a time line that is based on the current time.